# Generated by Django 4.2.7 on 2024-05-23 07:57

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='CinemaIds',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False)),
                ('env', models.CharField(max_length=10, verbose_name='环境')),
                ('cinema_id', models.IntegerField(verbose_name='影院id')),
                ('cinema_name', models.CharField(max_length=30, verbose_name='影院名称')),
                ('cid', models.CharField(max_length=10, verbose_name='影院cid')),
            ],
            options={
                'verbose_name': '影院cid',
                'verbose_name_plural': '影院cid',
                'db_table': 'ec_cinema_cid',
            },
        ),
        migrations.CreateModel(
            name='EcApi',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False)),
                ('desc', models.CharField(max_length=20, verbose_name='接口描述')),
                ('path', models.CharField(max_length=50, verbose_name='非会员接口地址')),
                ('m_path', models.CharField(max_length=50, verbose_name='会员接口地址')),
            ],
            options={
                'verbose_name': '接口',
                'verbose_name_plural': '接口',
                'db_table': 'ec_api',
            },
        ),
        migrations.CreateModel(
            name='EcApiGroup',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False)),
                ('group_id', models.CharField(max_length=20, verbose_name='接口分组id')),
                ('name', models.CharField(max_length=20, verbose_name='接口分组id')),
                ('order', models.IntegerField(verbose_name='子接口顺序')),
                ('api_id', models.IntegerField(verbose_name='接口id')),
            ],
            options={
                'verbose_name': '接口组',
                'verbose_name_plural': '接口组',
                'db_table': 'ec_api_group',
            },
        ),
        migrations.CreateModel(
            name='EcApiParams',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False)),
                ('api_id', models.IntegerField(verbose_name='接口id')),
                ('param', models.CharField(max_length=50, verbose_name='参数')),
                ('desc', models.CharField(max_length=500, verbose_name='参数描述')),
                ('value', models.CharField(max_length=500, verbose_name='参数值模版')),
                ('is_checked', models.BooleanField(default=False, verbose_name='是否默认勾选')),
                ('is_request', models.BooleanField(default=False, verbose_name='是否是必选项')),
            ],
            options={
                'verbose_name': '接口参数',
                'verbose_name_plural': '接口参数',
                'db_table': 'ec_api_params',
            },
        ),
        migrations.CreateModel(
            name='EcChannel',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False)),
                ('env', models.CharField(max_length=10, verbose_name='环境')),
                ('name', models.CharField(max_length=20, verbose_name='渠道名称')),
                ('pid', models.CharField(max_length=10, verbose_name='渠道id')),
                ('channel_key', models.CharField(max_length=20, verbose_name='渠道key')),
            ],
            options={
                'verbose_name': '渠道',
                'verbose_name_plural': '渠道',
                'db_table': 'ec_channel',
            },
        ),
        migrations.CreateModel(
            name='EcEnv',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=20, verbose_name='环境名称')),
                ('code', models.CharField(max_length=20, verbose_name='环境编码')),
                ('host', models.CharField(max_length=50, verbose_name='环境地址')),
            ],
            options={
                'verbose_name': '环境',
                'verbose_name_plural': '环境',
                'db_table': 'ec_env',
            },
        ),
        migrations.CreateModel(
            name='EcRequestLog',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False)),
                ('ip', models.CharField(max_length=20, verbose_name='请求ip')),
                ('env', models.CharField(max_length=10, verbose_name='环境')),
                ('request', models.CharField(max_length=500, verbose_name='请求链接')),
                ('response', models.CharField(max_length=10000, verbose_name='返回值')),
                ('request_datetime', models.DateTimeField(verbose_name='请求发送时间')),
            ],
            options={
                'verbose_name': '请求日志',
                'verbose_name_plural': '请求日志',
                'db_table': 'ec_request_log',
            },
        ),
    ]
