from dspt_api.util.general.handle_redis import get_data_from_redis
from dspt_api.util.general.goods_list import get_goods_list
import random


class ApiCinemaGoodsPic(object):
    def __init__(self, **kwargs):
        self.member_type = kwargs.get('member_type')
        self.api = kwargs.get('api')
        self.ip = kwargs.get('ip')
        self.env = kwargs.get('env')
        self.cid = kwargs.get('cid')
        self.pid = kwargs.get('pid')

    def get_suggestion(self):
        # play_id play_update_time
        request_api = {'name': '3.2.1 获取卖品列表', 'path': 'cinema/goods'}
        redis_key_api = f'dspt_api_{self.ip}_{self.env}_{self.member_type}_{self.pid}_{self.cid}_{request_api["path"]}'
        result, _format, redis_data, _timestamp = get_data_from_redis(redis_key_api)
        if result:
            goods_list = get_goods_list(redis_data, _format)
            goods = random.choice(goods_list)
            goods_id = goods['id']
            goods_type = goods['type']
            return [
                {'param': 'goods_id', 'value': goods_id, 'is_checked': True, 'result': True, 'timestamp': _timestamp},
                {'param': 'type', 'value': goods_type, 'is_checked': True, 'result': True, 'timestamp': _timestamp}]
        else:
            # 返回推荐参数应该包含参数名，参数值，和是否勾选的状态
            return [
                {'param': 'goods_id', 'value': redis_data + request_api["name"], 'is_checked': True, 'result': False,
                 'timestamp': _timestamp},
                {'param': 'type', 'value': redis_data + request_api["name"], 'is_checked': True, 'result': False,
                 'timestamp': _timestamp}]

    def get_timestamp(self):
        # play_id play_update_time
        request_api = {'name': '3.2.1 获取卖品列表', 'path': 'cinema/goods'}
        redis_key_api = f'dspt_api_{self.ip}_{self.env}_{self.member_type}_{self.pid}_{self.cid}_{request_api["path"]}'
        result, _format, redis_data, _timestamp = get_data_from_redis(redis_key_api)
        return _timestamp if result else 0
