from dspt_api.util.general.handle_redis import get_data_from_redis
import random


class ApiCinemaHallSeats:
    def __init__(self, **kwargs):
        self.member_type = kwargs.get('member_type')
        self.api = kwargs.get('api')
        self.ip = kwargs.get('ip')
        self.env = kwargs.get('env')
        self.cid = kwargs.get('cid')
        self.pid = kwargs.get('pid')

    def get_suggestion(self):
        # hall_id
        request_api = {'name': '3.1.3 获取影厅列表', 'path': 'cinema/halls'}
        redis_key_api = f'dspt_api_{self.ip}_{self.env}_{self.member_type}_{self.pid}_{self.cid}_{request_api["path"]}'
        result, _format, hall_data, _timestamp = get_data_from_redis(redis_key_api)
        if result:
            hall_id = hall_data['id']
            return [{'param': 'hall_id', 'value': hall_id, 'is_checked': True, 'result': True, 'timestamp': _timestamp}]
        else:
            # 返回推荐参数应该包含参数名，参数值，和是否勾选的状态
            return [
                {'param': 'hall_id', 'value': hall_data + request_api["name"], 'is_checked': True, 'result': False,
                 'timestamp': _timestamp}]

    def get_timestamp(self):
        # hall_id
        request_api = {'name': '3.1.3 获取影厅列表', 'path': 'cinema/halls'}
        redis_key_api = f'dspt_api_{self.ip}_{self.env}_{self.member_type}_{self.pid}_{self.cid}_{request_api["path"]}'
        result, _format, hall_data, _timestamp = get_data_from_redis(redis_key_api)
        return _timestamp if result else 0
