from dspt_api.util.general.handle_redis import get_data_from_redis
import datetime


class ApiCinemaPlaysIncrement:
    def __init__(self, **kwargs):
        self.member_type = kwargs.get('member_type')
        self.api = kwargs.get('api')
        self.ip = kwargs.get('ip')
        self.env = kwargs.get('env')
        self.cid = kwargs.get('cid')
        self.pid = kwargs.get('pid')

    def get_suggestion(self):
        # start
        request_api = {'name': '3.1.6 获取放映计划列表（增量）', 'path': 'cinema/plays-increment'}
        redis_key_api = f'dspt_api_{self.ip}_{self.env}_{self.member_type}_{self.pid}_{self.cid}_{request_api["path"]}'
        result, _format, redis_data, _timestamp = get_data_from_redis(redis_key_api)
        # 生成默认值
        start = redis_data['nextSyncStartTime'] if result else datetime.datetime.strftime(datetime.datetime.now(),
                                                                                          '%Y-%m-%d') + ' 06:00:00'
        return [{'param': 'start', 'value': start, 'is_checked': True, 'result': True, 'timestamp': _timestamp}]

    def get_timestamp(self):
        # start
        request_api = {'name': '3.1.6 获取放映计划列表（增量）', 'path': 'cinema/plays-increment'}
        redis_key_api = f'dspt_api_{self.ip}_{self.env}_{self.member_type}_{self.pid}_{self.cid}_{request_api["path"]}'
        result, _format, redis_data, _timestamp = get_data_from_redis(redis_key_api)
        return _timestamp if result else 0
