import time
from django_redis import get_redis_connection
from dspt_api.util.general.handle_redis import get_data_from_redis


class ApiEcardOrderDetail:
    def __init__(self, **kwargs):
        self.member_type = kwargs.get('member_type')
        self.api = kwargs.get('api')
        self.ip = kwargs.get('ip')
        self.env = kwargs.get('env')
        self.cid = kwargs.get('cid')
        self.pid = kwargs.get('pid')

    def get_suggestion(self):
        _now = int(time.time() * 1000)
        # partner_order_no
        request_renew = {'name': '3.4.3 联名卡续卡', 'path': 'ecard/renew'}
        redis_key_renew_order_num = f'dspt_api_{self.ip}_{self.env}_{self.member_type}_{self.pid}_{self.cid}_{request_renew["path"]}_order_num'
        redis_key_renew = f'dspt_api_{self.ip}_{self.env}_{self.member_type}_{self.pid}_{self.cid}_{request_renew["path"]}'

        request_regist = {'name': '3.4.2 联名卡开卡', 'path': 'ecard/regist'}
        redis_key_regist_order_num = f'dspt_api_{self.ip}_{self.env}_{self.member_type}_{self.pid}_{self.cid}_{request_regist["path"]}_order_num'
        redis_key_regist = f'dspt_api_{self.ip}_{self.env}_{self.member_type}_{self.pid}_{self.cid}_{request_regist["path"]}'

        result_renew, _format__renew, redis_data_renew, _timestamp_renew = get_data_from_redis(redis_key_renew)
        result_regist, _format_regist, redis_data_regist, _timestamp_regist = get_data_from_redis(redis_key_regist)

        redis_conn = get_redis_connection()
        order_num_renew = redis_conn.get(redis_key_renew_order_num)
        print('order_num_renew', order_num_renew)
        order_num_regist = redis_conn.get(redis_key_regist_order_num)
        print('order_num_regist', order_num_regist)

        order_num_result = [
            {'param': 'partner_order_no', 'value': '请手动输入参数！', 'is_checked': True, 'result': True,
             'timestamp': _now},
            {'param': 'order_type', 'value': '请手动输入参数！', 'is_checked': True, 'result': True, 'timestamp': _now}]

        if order_num_regist:
            order_num_result_regist = [
                {'param': 'partner_order_no', 'value': str(order_num_regist, encoding='utf-8'), 'is_checked': True,
                 'result': True, 'timestamp': _now},
                {'param': 'order_type', 'value': '1', 'is_checked': True, 'result': True, 'timestamp': _now}]
        if order_num_renew:
            order_num_result_renew = [
                {'param': 'partner_order_no', 'value': str(order_num_renew, encoding='utf-8'), 'is_checked': True,
                 'result': True,
                 'timestamp': _now},
                {'param': 'order_type', 'value': '2', 'is_checked': True, 'result': True, 'timestamp': _now}]

        if order_num_renew:
            order_num_result = order_num_result_renew
        if order_num_regist:
            order_num_result = order_num_result_regist
        if order_num_renew and order_num_regist:
            order_num_result = order_num_result_regist if _timestamp_regist > _timestamp_renew else order_num_result_renew

        return order_num_result

    def get_timestamp(self):
        return int(time.time() * 1000)
