from dspt_api.util.general.handle_redis import get_data_from_redis
from dspt_api.util.general.get_order_num import general_order_num
from dspt_api.util.general.handle_goods import general_goods_params
from dspt_api.util.general.handle_ecard import get_ecard
import time
import random
import json


class ApiOrderBuyGoods:
    def __init__(self, **kwargs):
        self.member_type = kwargs.get('member_type')
        self.api = kwargs.get('api')
        self.ip = kwargs.get('ip')
        self.env = kwargs.get('env')
        self.cid = kwargs.get('cid')
        self.pid = kwargs.get('pid')
        self.sale_type = kwargs.get('sale_type')
        self.pay_type = kwargs.get('pay_type')
        self.user_data = {
            'ip': self.ip,
            'env': self.env,
            'member_type': self.member_type,
            'pid': self.pid,
            'cid': self.cid,
        }
        self.return_data = []

    def get_suggestion(self):
        # 通用字段
        self.add_param('mobile', '18688886666', timestamp=1000000000000)
        _partner_buy_ticket_id = general_order_num('BUY_G', self.api, self.member_type, self.ip, self.env, self.pid,
                                                   self.cid)
        self.add_param('partner_buy_ticket_id', _partner_buy_ticket_id)

        # 联名卡卡号
        ecard_num = None
        if self.pay_type == 'ecard':
            ecard_num = get_ecard(self.ip, self.env, self.pid, self.cid)
            self.add_param('ecard_number', ecard_num, timestamp=1000000000000)

        self.goods()
        return self.return_data

    @staticmethod
    def get_timestamp():
        return int(time.time() * 1000)

    def goods(self):
        delivery_appoint_time = time.strftime('%Y-%m-%d %H:%M:%S', time.localtime(time.time() + 5 * 60))
        _good_result, _goods_field, _goods_cash, _quan, _goods_timestamp = general_goods_params(self.pay_type,
                                                                                                self.user_data)
        if _good_result is False:
            self.add_param('goods', '请手动输入参数，或先请求接口：3.2.1 获取卖品列表', timestamp=_goods_timestamp)
            self.add_param('cash', '请手动输入参数，或先请求接口：3.2.1 获取卖品列表', timestamp=_goods_timestamp)
            return False
        self.add_param('goods', json.dumps(_goods_field), timestamp=_goods_timestamp)
        self.add_param('cash', _goods_cash, timestamp=_goods_timestamp)
        self.add_param('delivery_type', '2', is_checked=False, timestamp=_goods_timestamp)
        self.add_param('delivery_location', '1号厅', is_checked=False, timestamp=_goods_timestamp)
        self.add_param('delivery_appoint_time', delivery_appoint_time, is_checked=False, timestamp=_goods_timestamp)
        self.add_param('contact_number', '18688886666', is_checked=False, timestamp=_goods_timestamp)

    def add_param(self, field, value, is_checked=True, result=True, timestamp=int(time.time() * 1000)):
        self.return_data.append(
            {'param': field, 'value': value, 'is_checked': is_checked, 'result': result, 'timestamp': timestamp})
