from dspt_api.util.general.handle_redis import get_data_from_redis
from dspt_api.util.general.get_order_num import general_order_num
from dspt_api.util.general.handle_goods import general_goods_field
from dspt_api.util.general.handle_ticket import get_ticket_price
import time
import random
import json


class ApiSeatCheckCoupon:
    def __init__(self, **kwargs):
        self.member_type = kwargs.get('member_type')
        self.api = kwargs.get('api')
        self.ip = kwargs.get('ip')
        self.env = kwargs.get('env')
        self.cid = kwargs.get('cid')
        self.pid = kwargs.get('pid')
        self.sale_type = kwargs.get('sale_type')

    def get_suggestion(self):
        print('self.sale_type', self.sale_type)
        if self.sale_type == 'ticket':
            return self.get_play()
        if self.sale_type == 'goods':
            return self.get_goods()
        if self.sale_type == 'all':
            return self.get_play() + self.get_goods()

    def get_play(self):
        redis_key_prefix = f'dspt_api_{self.ip}_{self.env}_{self.member_type}_{self.pid}_{self.cid}_'
        # play_id
        print('get_play')
        request_api_play = {'name': '3.1.8 获取某场次座位状态', 'path': 'cinema/plays'}
        redis_key_api_play = f'{redis_key_prefix}{request_api_play["path"]}'
        result_play, _format_play, redis_data_play, _timestamp_play = get_data_from_redis(redis_key_api_play)
        print('redis_data_play', redis_data_play)
        # seat_num
        request_api_seat = {'name': '3.1.5 获取放映计划列表', 'path': 'play/seat-status'}
        redis_key_api_seat = f'{redis_key_prefix}{request_api_seat["path"]}'
        result_seat, _format_seat, redis_data_seat, _timestamp_seat = get_data_from_redis(redis_key_api_seat)
        print('redis_data_seat', redis_data_seat)
        seat_num = len(redis_data_seat) if result_seat else 1
        if result_play:
            ticket_price, service_fee = get_ticket_price(redis_data_play,None,None,True)
            return [{'param': 'play_id', 'value': redis_data_play['id'], 'is_checked': True, 'result': True},
                    {'param': 'price', 'value': ticket_price, 'is_checked': True, 'result': True},
                    {'param': 'seat_num', 'value': seat_num, 'is_checked': True, 'result': True}]
        else:
            return [{'param': 'play_id', 'value': redis_data_play + request_api_play["name"], 'is_checked': True,
                     'result': True},
                    {'param': 'price', 'value': '0.00', 'is_checked': True, 'result': True},
                    {'param': 'seat_num', 'value': seat_num, 'is_checked': True, 'result': True}]

    def get_goods(self):
        request_api = {'name': '3.2.1 获取卖品列表', 'path': 'cinema/goods'}
        redis_key_api = f'dspt_api_{self.ip}_{self.env}_{self.member_type}_{self.pid}_{self.cid}_{request_api["path"]}'
        result, _format, goods_data, _timestamp = get_data_from_redis(redis_key_api)
        if result:
            goods_info, cash = general_goods_field(goods_data)
            print('ApiSeatCheckCoupon', goods_info)
            coupon_goods = [self.format_goods(goods) for goods in goods_info]
            return [
                {'param': 'goods', 'value': json.dumps(coupon_goods), 'is_checked': True, 'result': True,
                 'timestamp': _timestamp}]
        else:
            # 返回推荐参数应该包含参数名，参数值，和是否勾选的状态
            # redis_data + request_api["name"]
            return [
                {'param': 'goods', 'value': goods_data + request_api["name"], 'is_checked': True, 'result': True,
                 'timestamp': _timestamp}, ]

    @staticmethod
    def format_goods(goods):
        goods['goods_type'] = goods['type']
        goods['sell_price'] = goods['price']
        goods.pop('type')
        goods.pop('price')
        return goods

    def get_timestamp(self):
        return int(time.time() * 1000)
