from dspt_api.util.general.handle_redis import get_data_from_redis
import random


class ApiSeatLock:
    def __init__(self, **kwargs):
        self.member_type = kwargs.get('member_type')
        self.api = kwargs.get('api')
        self.ip = kwargs.get('ip')
        self.env = kwargs.get('env')
        self.cid = kwargs.get('cid')
        self.pid = kwargs.get('pid')

    def get_suggestion(self):
        # play_id
        request_api_play = {'name': '3.1.5 获取放映计划列表', 'path': 'cinema/plays'}
        redis_key_api_play = f'dspt_api_{self.ip}_{self.env}_{self.member_type}_{self.pid}_{self.cid}_{request_api_play["path"]}'
        result_play, _format_play, play_data, _timestamp_play = get_data_from_redis(redis_key_api_play)
        # seat_id
        request_api_seat = {'name': '3.1.8 获取某场次座位状态', 'path': 'play/seat-status'}
        redis_key_api_seat = f'dspt_api_{self.ip}_{self.env}_{self.member_type}_{self.pid}_{self.cid}_{request_api_seat["path"]}'
        result_seat, _format_seat, seat_data, _timestamp_seat = get_data_from_redis(redis_key_api_seat)
        if result_play and result_seat:
            print('random.choice(redis_data_seat)', seat_data)
            seat_id = ','.join([seat['cineSeatId'] for seat in seat_data])
            return [{'param': 'play_id', 'value': play_data['id'], 'is_checked': True, 'result': True},
                    {'param': 'play_update_time', 'value': play_data['cineUpdateTime'], 'is_checked': True,
                     'result': True},
                    {'param': 'seat_id', 'value': seat_id, 'is_checked': True, 'result': True}]
        else:
            # 返回推荐参数应该包含参数名，参数值，和是否勾选的状态
            return [
                {'param': 'play_id', 'value': play_data + request_api_play["name"], 'is_checked': True,
                 'result': True},
                {'param': 'play_update_time', 'value': play_data + request_api_play["name"], 'is_checked': True,
                 'result': True},
                {'param': 'seat_id', 'value': seat_data + request_api_seat["name"], 'is_checked': True,
                 'result': True}
            ]

    def get_timestamp(self):
        # play_id
        request_api_play = {'name': '3.1.5 获取放映计划列表', 'path': 'cinema/plays'}
        redis_key_api_play = f'dspt_api_{self.ip}_{self.env}_{self.member_type}_{self.pid}_{self.cid}_{request_api_play["path"]}'
        result_play, _format_play, redis_data_play, _timestamp_play = get_data_from_redis(redis_key_api_play)
        # seat_id
        request_api_seat = {'name': '3.1.8 获取某场次座位状态', 'path': 'play/seat-status'}
        redis_key_api_seat = f'dspt_api_{self.ip}_{self.env}_{self.member_type}_{self.pid}_{self.cid}_{request_api_seat["path"]}'
        result_seat, _format_seat, redis_data_seat, _timestamp_seat = get_data_from_redis(redis_key_api_seat)
        # 处理混合结果
        if result_play and result_seat:
            return _timestamp_play if _timestamp_play > _timestamp_seat else _timestamp_seat
        return 0
