from pickletools import opcodes

import pymysql
from pymysql.cursors import DictCursor

QUAN_SQL = sql = """
                    SELECT cqi.cinema_quan_name,
                   cqi.cinema_allow_tickets_flag,
                   cqi.cinema_tickets_pay_type ,
                   cqi.cinema_allow_retail_flag ,
                   cqi.cinema_retail_pay_type,
                   m1.cinema_yushouquan_book_order,
                   m1.cinema_yushouquan_encrypt_barcode
            FROM cinema_yushouquan_info m1
                     LEFT JOIN cinema_yushouquan_info m2
                               ON m1.cinema_yushouquan_id >m2.cinema_yushouquan_id AND m1.`cinema_yushouquan_book_order`=m2.`cinema_yushouquan_book_order`
                     left join  cinema_quan_info cqi  ON
                cqi.cinema_quan_id = m1.cinema_quan_id
            where  m1.cinema_yushouquan_status = '5'
              AND m1.cinema_yushouquan_active_flag = '1'
            AND cqi.card_quan_channel = '2'
            GROUP BY m2.`cinema_yushouquan_book_order`,m2.cinema_yushouquan_encrypt_barcode
            HAVING COUNT(*)<10
            ORDER BY m1.cinema_yushouquan_book_order, m1.cinema_yushouquan_encrypt_barcode;
                    """

CARD_QUAN_SQL = "SELECT cqo.card_quan_order_id, cqi.cinema_quan_name, cqo.cinema_quan_id, cqo.quan_remain_nums, cqo.cinema_dead_time FROM cine.card_quan_order cqo LEFT JOIN cine.cinema_quan_info cqi ON cqo.cinema_quan_id = cqi.cinema_quan_id WHERE cqi.card_quan_channel = '2' AND cqo.quan_remain_nums > 0 AND cqo.cinema_dead_time >= NOW() AND cqo.cinema_card_num = %s;"


class GetQuan:

    def __init__(self, cinema_info):
        self.cinema_db = cinema_info

    def get_quan(self):
        db_conn = pymysql.connect(**self.cinema_db)
        db_cursor = db_conn.cursor(DictCursor)
        db_cursor.execute(QUAN_SQL)
        quan_list = db_cursor.fetchall()
        quan = []
        quan_label_list = []
        for q in quan_list:
            quan_pay_type = []
            ticket = ''
            goods = ''
            if q['cinema_allow_tickets_flag'] == 1:
                match q['cinema_tickets_pay_type']:
                    case 'zk':
                        ticket = '票<折扣>'
                    case 'dj':
                        ticket = '票<代金>'
                    case 'zq':
                        ticket = '票<最低票价>'
                    case 'dhbl':
                        ticket = '票<兑换>'
                    case 'zgxe':
                        ticket = '票<最高限额>'
                quan_pay_type.append(ticket)
            if q['cinema_allow_retail_flag'] == 1:
                match q['cinema_retail_pay_type']:
                    case 'zk':
                        goods = '卖品<折扣>'
                    case 'dj':
                        goods = '卖品<代金>'
                    case 'dhbl':
                        goods = '卖品<兑换>'
                quan_pay_type.append(goods)
            quan_label_list_str = '(' + '+'.join(quan_pay_type) + ')'
            label = (q['cinema_quan_name'] + ' ' + quan_label_list_str + ' -> ' + q['cinema_yushouquan_book_order'])
            if label not in quan_label_list:
                quan.append({
                    'label': label,
                    'value': label,
                    'options': [{'label': q['cinema_yushouquan_encrypt_barcode'],
                                 'value': q['cinema_yushouquan_encrypt_barcode']}],
                })
                quan_label_list.append(label)
            else:
                for item in quan:
                    if item['label']  == label:
                        item['options'].append({'label': q['cinema_yushouquan_encrypt_barcode'],
                                 'value': q['cinema_yushouquan_encrypt_barcode']})


            # if quan['cinema_quan_name'] not in quan_dict.keys():
            #     quan_dict[quan['cinema_quan_name']] = {
            #         'rule': {'cinema_allow_tickets_flag': quan['cinema_allow_tickets_flag'],
            #                  'cinema_tickets_pay_type': quan['cinema_tickets_pay_type'],
            #                  'cinema_allow_retail_flag': quan['cinema_allow_retail_flag'],
            #                  'cinema_retail_pay_type': quan['cinema_retail_pay_type']},
            #         'order_num': [quan['cinema_yushouquan_book_order']],
            #         'order': {quan['cinema_yushouquan_book_order']: [quan['cinema_yushouquan_encrypt_barcode']]}
            #     }
            # else:
            #     if quan['cinema_yushouquan_book_order'] not in quan_dict[quan['cinema_quan_name']]['order_num']:
            #         quan_dict[quan['cinema_quan_name']]['order_num'].append(quan['cinema_yushouquan_book_order'])
            #         quan_dict[quan['cinema_quan_name']]['order'][quan['cinema_yushouquan_book_order']] = [
            #             quan['cinema_yushouquan_encrypt_barcode']]
            #     else:
            #         quan_dict[quan['cinema_quan_name']]['order'][quan['cinema_yushouquan_book_order']].append(
            #             quan['cinema_yushouquan_encrypt_barcode'])

        return quan

    def get_card_quan(self, card_num):
        db_conn = pymysql.connect(**self.cinema_db)
        db_cursor = db_conn.cursor(DictCursor)
        db_cursor.execute(CARD_QUAN_SQL, (card_num,))
        card_quan_list = db_cursor.fetchall()
        return card_quan_list
