import json
import xmltodict


class HandleXmlResp:
    def __init__(self, xml_data):
        self.xml_dict = {'res': xmltodict.parse(xml_data)['root']}

    def format_xml(self):
        return self.format_data(self.xml_dict)

    def format_data(self, data):
        if isinstance(data, dict):
            new_data = {}
            for key, value in data.items():
                if isinstance(value, dict):
                    if len(value.keys()) == 1:
                        _key = list(value.keys())[0]
                        if _key in ['item', 'cate'] and isinstance(value[_key], list):
                            new_data[key] = self.format_data(value[_key])
                        if _key in ['item', 'cate'] and isinstance(value[_key], dict):
                            new_data[key] = [self.format_data(value[_key])]
                    else:
                        new_data[key] = self.format_data(value)
                else:
                    new_data[key] = value
            return new_data
        if isinstance(data, list):
            new_data = []
            for item in data:
                if isinstance(item, dict):
                    new_data.append(self.format_data(item))
                else:
                    new_data.append(item)
            return new_data


if __name__ == '__main__':
    j = '''{
    "res":
    {
        "status": "1",
        "errorMessage": null,
        "errorCode": null,
        "data":
        {
            "item":
            [
                {
                    "id": "7114",
                    "movieInfo":
                    {
                        "item":
                        {
                            "cineMovieId": "2630",
                            "cineMovieNum": "051600112024",
                            "movieName": "蜘蛛夫人：超感觉醒（杜比视界）",
                            "movieSubtitle": "中文",
                            "movieLanguage": "英语",
                            "movieFormat": "数字",
                            "movieDimensional": "杜比",
                            "movieSize": "普通",
                            "joinStartTime": null,
                            "joinEndTime": null
                        }
                    },
                    "cinePlayId": "260347",
                    "hallId": "530",
                    "hallName": "1号厅（冠名招商）",
                    "businessDate": "2024-08-19",
                    "startTime": "2024-08-19 18:38:00",
                    "endTime": "2024-08-19 20:35:00",
                    "priceType": "1",
                    "price": "90.00",
                    "marketPrice": "90.00",
                    "lowestPrice": "25.00",
                    "seatTotalNum": "118",
                    "seatAvailableNum": "89",
                    "allowBook": "1",
                    "cineUpdateTime": "2024-08-19 09:27:34",
                    "partnerPrice": "91.00",
                    "areaInfo":
                    {
                        "item":
                        [
                            {
                                "areaId": "25",
                                "areaPrice": "91.00",
                                "areaServiceFee": "1.00",
                                "ecardPrices":
                                {
                                    "item":
                                    [
                                        {
                                            "ecardLevelNo": "1043",
                                            "ecardLevelPrice": "91.00",
                                            "ecardLevelServiceFee": "1.00"
                                        },
                                        {
                                            "ecardLevelNo": "1047",
                                            "ecardLevelPrice": "91.00",
                                            "ecardLevelServiceFee": "1.00"
                                        },
                                        {
                                            "ecardLevelNo": "1062",
                                            "ecardLevelPrice": "91.00",
                                            "ecardLevelServiceFee": "1.00"
                                        },
                                        {
                                            "ecardLevelNo": "1069",
                                            "ecardLevelPrice": "91.00",
                                            "ecardLevelServiceFee": "1.00"
                                        },
                                        {
                                            "ecardLevelNo": "1079",
                                            "ecardLevelPrice": "91.00",
                                            "ecardLevelServiceFee": "1.00"
                                        },
                                        {
                                            "ecardLevelNo": "1080",
                                            "ecardLevelPrice": "89.00",
                                            "ecardLevelServiceFee": "1.00"
                                        }
                                    ]
                                }
                            },
                            {
                                "areaId": "34",
                                "areaPrice": "91.00",
                                "areaServiceFee": "1.00",
                                "ecardPrices":
                                {
                                    "item":
                                    [
                                        {
                                            "ecardLevelNo": "1043",
                                            "ecardLevelPrice": "91.00",
                                            "ecardLevelServiceFee": "1.00"
                                        },
                                        {
                                            "ecardLevelNo": "1047",
                                            "ecardLevelPrice": "91.00",
                                            "ecardLevelServiceFee": "1.00"
                                        },
                                        {
                                            "ecardLevelNo": "1062",
                                            "ecardLevelPrice": "91.00",
                                            "ecardLevelServiceFee": "1.00"
                                        },
                                        {
                                            "ecardLevelNo": "1069",
                                            "ecardLevelPrice": "91.00",
                                            "ecardLevelServiceFee": "1.00"
                                        },
                                        {
                                            "ecardLevelNo": "1079",
                                            "ecardLevelPrice": "91.00",
                                            "ecardLevelServiceFee": "1.00"
                                        },
                                        {
                                            "ecardLevelNo": "1080",
                                            "ecardLevelPrice": "89.00",
                                            "ecardLevelServiceFee": "1.00"
                                        }
                                    ]
                                }
                            },
                            {
                                "areaId": "35",
                                "areaPrice": "91.00",
                                "areaServiceFee": "1.00",
                                "ecardPrices":
                                {
                                    "item":
                                    [
                                        {
                                            "ecardLevelNo": "1043",
                                            "ecardLevelPrice": "91.00",
                                            "ecardLevelServiceFee": "1.00"
                                        },
                                        {
                                            "ecardLevelNo": "1047",
                                            "ecardLevelPrice": "91.00",
                                            "ecardLevelServiceFee": "1.00"
                                        },
                                        {
                                            "ecardLevelNo": "1062",
                                            "ecardLevelPrice": "91.00",
                                            "ecardLevelServiceFee": "1.00"
                                        },
                                        {
                                            "ecardLevelNo": "1069",
                                            "ecardLevelPrice": "91.00",
                                            "ecardLevelServiceFee": "1.00"
                                        },
                                        {
                                            "ecardLevelNo": "1079",
                                            "ecardLevelPrice": "91.00",
                                            "ecardLevelServiceFee": "1.00"
                                        },
                                        {
                                            "ecardLevelNo": "1080",
                                            "ecardLevelPrice": "89.00",
                                            "ecardLevelServiceFee": "1.00"
                                        }
                                    ]
                                }
                            },
                            {
                                "areaId": "36",
                                "areaPrice": "91.00",
                                "areaServiceFee": "1.00",
                                "ecardPrices":
                                {
                                    "item":
                                    [
                                        {
                                            "ecardLevelNo": "1043",
                                            "ecardLevelPrice": "91.00",
                                            "ecardLevelServiceFee": "1.00"
                                        },
                                        {
                                            "ecardLevelNo": "1047",
                                            "ecardLevelPrice": "91.00",
                                            "ecardLevelServiceFee": "1.00"
                                        },
                                        {
                                            "ecardLevelNo": "1062",
                                            "ecardLevelPrice": "91.00",
                                            "ecardLevelServiceFee": "1.00"
                                        },
                                        {
                                            "ecardLevelNo": "1069",
                                            "ecardLevelPrice": "91.00",
                                            "ecardLevelServiceFee": "1.00"
                                        },
                                        {
                                            "ecardLevelNo": "1079",
                                            "ecardLevelPrice": "91.00",
                                            "ecardLevelServiceFee": "1.00"
                                        },
                                        {
                                            "ecardLevelNo": "1080",
                                            "ecardLevelPrice": "89.00",
                                            "ecardLevelServiceFee": "1.00"
                                        }
                                    ]
                                }
                            }
                        ]
                    }
                },
                {
                    "id": "7115",
                    "movieInfo":
                    {
                        "item":
                        {
                            "cineMovieId": "2620",
                            "cineMovieNum": "001110012018",
                            "movieName": "公主的战俘-27.77",
                            "movieSubtitle": "中文",
                            "movieLanguage": "国语",
                            "movieFormat": "数字",
                            "movieDimensional": "2D",
                            "movieSize": "普通",
                            "joinStartTime": null,
                            "joinEndTime": null
                        }
                    },
                    "cinePlayId": "260348",
                    "hallId": "533",
                    "hallName": "4号厅（冠名招商）",
                    "businessDate": "2024-08-19",
                    "startTime": "2024-08-19 19:30:00",
                    "endTime": "2024-08-19 21:10:00",
                    "priceType": "1",
                    "price": "90.00",
                    "marketPrice": "90.00",
                    "lowestPrice": "27.77",
                    "seatTotalNum": "118",
                    "seatAvailableNum": "88",
                    "allowBook": "1",
                    "cineUpdateTime": "2024-08-19 09:27:34",
                    "partnerPrice": "94.00",
                    "areaInfo":
                    {
                        "item":
                        [
                            {
                                "areaId": "1",
                                "areaPrice": "94.00",
                                "areaServiceFee": "4.00",
                                "ecardPrices":
                                {
                                    "item":
                                    [
                                        {
                                            "ecardLevelNo": "1043",
                                            "ecardLevelPrice": "94.00",
                                            "ecardLevelServiceFee": "4.00"
                                        },
                                        {
                                            "ecardLevelNo": "1047",
                                            "ecardLevelPrice": "94.00",
                                            "ecardLevelServiceFee": "4.00"
                                        },
                                        {
                                            "ecardLevelNo": "1053",
                                            "ecardLevelPrice": "75.00",
                                            "ecardLevelServiceFee": "4.00"
                                        },
                                        {
                                            "ecardLevelNo": "1057",
                                            "ecardLevelPrice": "93.00",
                                            "ecardLevelServiceFee": "4.00"
                                        },
                                        {
                                            "ecardLevelNo": "1062",
                                            "ecardLevelPrice": "94.00",
                                            "ecardLevelServiceFee": "4.00"
                                        },
                                        {
                                            "ecardLevelNo": "1069",
                                            "ecardLevelPrice": "94.00",
                                            "ecardLevelServiceFee": "4.00"
                                        },
                                        {
                                            "ecardLevelNo": "1079",
                                            "ecardLevelPrice": "94.00",
                                            "ecardLevelServiceFee": "4.00"
                                        },
                                        {
                                            "ecardLevelNo": "1080",
                                            "ecardLevelPrice": "91.00",
                                            "ecardLevelServiceFee": "4.00"
                                        }
                                    ]
                                }
                            },
                            {
                                "areaId": "25",
                                "areaPrice": "94.00",
                                "areaServiceFee": "4.00",
                                "ecardPrices":
                                {
                                    "item":
                                    [
                                        {
                                            "ecardLevelNo": "1043",
                                            "ecardLevelPrice": "94.00",
                                            "ecardLevelServiceFee": "4.00"
                                        },
                                        {
                                            "ecardLevelNo": "1047",
                                            "ecardLevelPrice": "94.00",
                                            "ecardLevelServiceFee": "4.00"
                                        },
                                        {
                                            "ecardLevelNo": "1053",
                                            "ecardLevelPrice": "75.00",
                                            "ecardLevelServiceFee": "4.00"
                                        },
                                        {
                                            "ecardLevelNo": "1057",
                                            "ecardLevelPrice": "93.00",
                                            "ecardLevelServiceFee": "4.00"
                                        },
                                        {
                                            "ecardLevelNo": "1062",
                                            "ecardLevelPrice": "94.00",
                                            "ecardLevelServiceFee": "4.00"
                                        },
                                        {
                                            "ecardLevelNo": "1069",
                                            "ecardLevelPrice": "94.00",
                                            "ecardLevelServiceFee": "4.00"
                                        },
                                        {
                                            "ecardLevelNo": "1079",
                                            "ecardLevelPrice": "94.00",
                                            "ecardLevelServiceFee": "4.00"
                                        },
                                        {
                                            "ecardLevelNo": "1080",
                                            "ecardLevelPrice": "91.00",
                                            "ecardLevelServiceFee": "4.00"
                                        }
                                    ]
                                }
                            },
                            {
                                "areaId": "34",
                                "areaPrice": "94.00",
                                "areaServiceFee": "4.00",
                                "ecardPrices":
                                {
                                    "item":
                                    [
                                        {
                                            "ecardLevelNo": "1043",
                                            "ecardLevelPrice": "94.00",
                                            "ecardLevelServiceFee": "4.00"
                                        },
                                        {
                                            "ecardLevelNo": "1047",
                                            "ecardLevelPrice": "94.00",
                                            "ecardLevelServiceFee": "4.00"
                                        },
                                        {
                                            "ecardLevelNo": "1053",
                                            "ecardLevelPrice": "75.00",
                                            "ecardLevelServiceFee": "4.00"
                                        },
                                        {
                                            "ecardLevelNo": "1057",
                                            "ecardLevelPrice": "93.00",
                                            "ecardLevelServiceFee": "4.00"
                                        },
                                        {
                                            "ecardLevelNo": "1062",
                                            "ecardLevelPrice": "94.00",
                                            "ecardLevelServiceFee": "4.00"
                                        },
                                        {
                                            "ecardLevelNo": "1069",
                                            "ecardLevelPrice": "94.00",
                                            "ecardLevelServiceFee": "4.00"
                                        },
                                        {
                                            "ecardLevelNo": "1079",
                                            "ecardLevelPrice": "94.00",
                                            "ecardLevelServiceFee": "4.00"
                                        },
                                        {
                                            "ecardLevelNo": "1080",
                                            "ecardLevelPrice": "91.00",
                                            "ecardLevelServiceFee": "4.00"
                                        }
                                    ]
                                }
                            },
                            {
                                "areaId": "35",
                                "areaPrice": "94.00",
                                "areaServiceFee": "4.00",
                                "ecardPrices":
                                {
                                    "item":
                                    [
                                        {
                                            "ecardLevelNo": "1043",
                                            "ecardLevelPrice": "94.00",
                                            "ecardLevelServiceFee": "4.00"
                                        },
                                        {
                                            "ecardLevelNo": "1047",
                                            "ecardLevelPrice": "94.00",
                                            "ecardLevelServiceFee": "4.00"
                                        },
                                        {
                                            "ecardLevelNo": "1053",
                                            "ecardLevelPrice": "75.00",
                                            "ecardLevelServiceFee": "4.00"
                                        },
                                        {
                                            "ecardLevelNo": "1057",
                                            "ecardLevelPrice": "93.00",
                                            "ecardLevelServiceFee": "4.00"
                                        },
                                        {
                                            "ecardLevelNo": "1062",
                                            "ecardLevelPrice": "94.00",
                                            "ecardLevelServiceFee": "4.00"
                                        },
                                        {
                                            "ecardLevelNo": "1069",
                                            "ecardLevelPrice": "94.00",
                                            "ecardLevelServiceFee": "4.00"
                                        },
                                        {
                                            "ecardLevelNo": "1079",
                                            "ecardLevelPrice": "94.00",
                                            "ecardLevelServiceFee": "4.00"
                                        },
                                        {
                                            "ecardLevelNo": "1080",
                                            "ecardLevelPrice": "91.00",
                                            "ecardLevelServiceFee": "4.00"
                                        }
                                    ]
                                }
                            }
                        ]
                    }
                },
                {
                    "id": "7116",
                    "movieInfo":
                    {
                        "item":
                        {
                            "cineMovieId": "2615",
                            "cineMovieNum": "051101162022",
                            "movieName": "忍者神龟：崛起-20",
                            "movieSubtitle": "中文",
                            "movieLanguage": "英语",
                            "movieFormat": "数字",
                            "movieDimensional": "2D",
                            "movieSize": "普通",
                            "joinStartTime": null,
                            "joinEndTime": null
                        }
                    },
                    "cinePlayId": "260349",
                    "hallId": "534",
                    "hallName": "5号厅（冠名招商）",
                    "businessDate": "2024-08-19",
                    "startTime": "2024-08-19 19:59:00",
                    "endTime": "2024-08-19 21:21:00",
                    "priceType": "1",
                    "price": "50.00",
                    "marketPrice": "50.00",
                    "lowestPrice": "20.00",
                    "seatTotalNum": "118",
                    "seatAvailableNum": "90",
                    "allowBook": "1",
                    "cineUpdateTime": "2024-08-19 09:27:34",
                    "partnerPrice": "55.00",
                    "areaInfo":
                    {
                        "item":
                        [
                            {
                                "areaId": "1",
                                "areaPrice": "55.00",
                                "areaServiceFee": "5.00",
                                "ecardPrices":
                                {
                                    "item":
                                    [
                                        {
                                            "ecardLevelNo": "1043",
                                            "ecardLevelPrice": "55.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1047",
                                            "ecardLevelPrice": "55.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1053",
                                            "ecardLevelPrice": "44.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1057",
                                            "ecardLevelPrice": "54.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1062",
                                            "ecardLevelPrice": "55.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1069",
                                            "ecardLevelPrice": "55.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1079",
                                            "ecardLevelPrice": "55.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1080",
                                            "ecardLevelPrice": "52.00",
                                            "ecardLevelServiceFee": "5.00"
                                        }
                                    ]
                                }
                            },
                            {
                                "areaId": "14",
                                "areaPrice": "55.00",
                                "areaServiceFee": "5.00",
                                "ecardPrices":
                                {
                                    "item":
                                    [
                                        {
                                            "ecardLevelNo": "1043",
                                            "ecardLevelPrice": "55.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1047",
                                            "ecardLevelPrice": "55.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1053",
                                            "ecardLevelPrice": "44.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1057",
                                            "ecardLevelPrice": "54.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1062",
                                            "ecardLevelPrice": "55.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1069",
                                            "ecardLevelPrice": "55.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1079",
                                            "ecardLevelPrice": "55.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1080",
                                            "ecardLevelPrice": "52.00",
                                            "ecardLevelServiceFee": "5.00"
                                        }
                                    ]
                                }
                            },
                            {
                                "areaId": "15",
                                "areaPrice": "55.00",
                                "areaServiceFee": "5.00",
                                "ecardPrices":
                                {
                                    "item":
                                    [
                                        {
                                            "ecardLevelNo": "1043",
                                            "ecardLevelPrice": "55.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1047",
                                            "ecardLevelPrice": "55.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1053",
                                            "ecardLevelPrice": "44.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1057",
                                            "ecardLevelPrice": "54.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1062",
                                            "ecardLevelPrice": "55.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1069",
                                            "ecardLevelPrice": "55.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1079",
                                            "ecardLevelPrice": "55.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1080",
                                            "ecardLevelPrice": "52.00",
                                            "ecardLevelServiceFee": "5.00"
                                        }
                                    ]
                                }
                            },
                            {
                                "areaId": "16",
                                "areaPrice": "55.00",
                                "areaServiceFee": "5.00",
                                "ecardPrices":
                                {
                                    "item":
                                    [
                                        {
                                            "ecardLevelNo": "1043",
                                            "ecardLevelPrice": "55.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1047",
                                            "ecardLevelPrice": "55.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1053",
                                            "ecardLevelPrice": "44.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1057",
                                            "ecardLevelPrice": "54.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1062",
                                            "ecardLevelPrice": "55.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1069",
                                            "ecardLevelPrice": "55.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1079",
                                            "ecardLevelPrice": "55.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1080",
                                            "ecardLevelPrice": "52.00",
                                            "ecardLevelServiceFee": "5.00"
                                        }
                                    ]
                                }
                            },
                            {
                                "areaId": "18",
                                "areaPrice": "55.00",
                                "areaServiceFee": "5.00",
                                "ecardPrices":
                                {
                                    "item":
                                    [
                                        {
                                            "ecardLevelNo": "1043",
                                            "ecardLevelPrice": "55.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1047",
                                            "ecardLevelPrice": "55.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1053",
                                            "ecardLevelPrice": "44.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1057",
                                            "ecardLevelPrice": "54.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1062",
                                            "ecardLevelPrice": "55.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1069",
                                            "ecardLevelPrice": "55.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1079",
                                            "ecardLevelPrice": "55.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1080",
                                            "ecardLevelPrice": "52.00",
                                            "ecardLevelServiceFee": "5.00"
                                        }
                                    ]
                                }
                            },
                            {
                                "areaId": "19",
                                "areaPrice": "55.00",
                                "areaServiceFee": "5.00",
                                "ecardPrices":
                                {
                                    "item":
                                    [
                                        {
                                            "ecardLevelNo": "1043",
                                            "ecardLevelPrice": "55.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1047",
                                            "ecardLevelPrice": "55.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1053",
                                            "ecardLevelPrice": "44.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1057",
                                            "ecardLevelPrice": "54.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1062",
                                            "ecardLevelPrice": "55.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1069",
                                            "ecardLevelPrice": "55.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1079",
                                            "ecardLevelPrice": "55.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1080",
                                            "ecardLevelPrice": "52.00",
                                            "ecardLevelServiceFee": "5.00"
                                        }
                                    ]
                                }
                            },
                            {
                                "areaId": "20",
                                "areaPrice": "55.00",
                                "areaServiceFee": "5.00",
                                "ecardPrices":
                                {
                                    "item":
                                    [
                                        {
                                            "ecardLevelNo": "1043",
                                            "ecardLevelPrice": "55.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1047",
                                            "ecardLevelPrice": "55.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1053",
                                            "ecardLevelPrice": "44.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1057",
                                            "ecardLevelPrice": "54.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1062",
                                            "ecardLevelPrice": "55.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1069",
                                            "ecardLevelPrice": "55.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1079",
                                            "ecardLevelPrice": "55.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1080",
                                            "ecardLevelPrice": "52.00",
                                            "ecardLevelServiceFee": "5.00"
                                        }
                                    ]
                                }
                            },
                            {
                                "areaId": "21",
                                "areaPrice": "55.00",
                                "areaServiceFee": "5.00",
                                "ecardPrices":
                                {
                                    "item":
                                    [
                                        {
                                            "ecardLevelNo": "1043",
                                            "ecardLevelPrice": "55.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1047",
                                            "ecardLevelPrice": "55.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1053",
                                            "ecardLevelPrice": "44.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1057",
                                            "ecardLevelPrice": "54.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1062",
                                            "ecardLevelPrice": "55.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1069",
                                            "ecardLevelPrice": "55.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1079",
                                            "ecardLevelPrice": "55.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1080",
                                            "ecardLevelPrice": "52.00",
                                            "ecardLevelServiceFee": "5.00"
                                        }
                                    ]
                                }
                            },
                            {
                                "areaId": "22",
                                "areaPrice": "55.00",
                                "areaServiceFee": "5.00",
                                "ecardPrices":
                                {
                                    "item":
                                    [
                                        {
                                            "ecardLevelNo": "1043",
                                            "ecardLevelPrice": "55.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1047",
                                            "ecardLevelPrice": "55.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1053",
                                            "ecardLevelPrice": "44.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1057",
                                            "ecardLevelPrice": "54.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1062",
                                            "ecardLevelPrice": "55.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1069",
                                            "ecardLevelPrice": "55.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1079",
                                            "ecardLevelPrice": "55.00",
                                            "ecardLevelServiceFee": "5.00"
                                        },
                                        {
                                            "ecardLevelNo": "1080",
                                            "ecardLevelPrice": "52.00",
                                            "ecardLevelServiceFee": "5.00"
                                        }
                                    ]
                                }
                            }
                        ]
                    }
                }
            ]
        }
    }
}'''

    new = HandleXmlResp('').format_data(json.loads(j))
    print(json.dumps(new, indent=4))
