from dspt_api.util.api.cinema_hall_seats import ApiCinemaHallSeats
from dspt_api.util.api.cinema_plays_increment import ApiCinemaPlaysIncrement
from dspt_api.util.api.ecard_refund import ApiEcardRefund
from dspt_api.util.api.ecard_regist import ApiEcardRegist
from dspt_api.util.api.ecard_renew import ApiEcardRenew
from dspt_api.util.api.play_info import ApiPlayInfo
from dspt_api.util.api.play_seat_status import ApiPlaySeatStatus
from dspt_api.util.api.play_period_changed_seats import ApiPlayPeriodChangedSeats
from dspt_api.util.api.play_seat_overview import ApiPlaySeatOverview
from dspt_api.util.api.cinema_goods_pic import ApiCinemaGoodsPic
from dspt_api.util.api.seat_lock import ApiSeatLock
from dspt_api.util.api.order_buy_goods import ApiOrderBuyGoods
from dspt_api.util.api.ecard_detail import ApiEcardDetail
from dspt_api.util.api.ecard_order_detail import ApiEcardOrderDetail
from dspt_api.util.api.ecard_seat_price import ApiEcardSeatPrice
from dspt_api.util.api.seat_check_coupon import ApiSeatCheckCoupon
from dspt_api.util.api.seat_lock_buy import ApiSeatLockBuy
from dspt_api.util.api.ticket_refundv2 import ApiTicketRefundV2
from dspt_api.util.api.ticket_refund import ApiTicketRefund
from dspt_api.util.api.seat_unlock import ApiSeatUnlock
from dspt_api.util.api.ticket_print import ApiTicketPrint
from dspt_api.util.api.ticket_info_by_qrcode import ApiTicketInfoByQrcode
from dspt_api.util.api.ticket_info import ApiTicketInfo
from dspt_api.util.api.order_ticket_flag import ApiOrderTicketFlag
from dspt_api.util.api.order_status import ApiOrderStatus
from dspt_api.util.api.order_info import ApiOrderInfo
from dspt_api.util.api.goods_deduct import ApiGoodsDeduct
from dspt_api.util.mapi.play_seat_status import MapiPlaySeatStatus
from dspt_api.util.mapi.seat_lock import MapiSeatLock
from dspt_api.util.mapi.seat_price import MapiSeatPrice
from dspt_api.util.mapi.seat_lock_buy import MapiSeatLockBuy
from dspt_api.util.mapi.card_get_goods_price import MapiCardGetGoodsPrice
from dspt_api.util.mapi.order_buy_goods import MapiOrderBuyGoods
from dspt_api.util.mapi.card_auth import MapiCardAuth
from dspt_api.util.mapi.card_detail import MapiCardDetail
from dspt_api.util.mapi.card_buy_info import MapiCardBuyInfo
from dspt_api.util.mapi.order_tickets import MapiOrderTickets
from dspt_api.util.mapi.card_recharge_log import MapiCardRechargeLog
from dspt_api.util.mapi.order_list import MapiOrderList
from dspt_api.util.mapi.order_detail import MapiOrderDetail
from dspt_api.util.mapi.card_trade_query import MapiCardTradeQuery
from dspt_api.util.mapi.card_jifen_query import MapiCardJifenQuery
from dspt_api.util.mapi.movie_info import MapiMovieInfo
from dspt_api.util.mapi.play_info import MapiPlayInfo
from dspt_api.util.mapi.play_period_changed_seats import MapiPlayPeriodChangedSeats
from dspt_api.util.mapi.play_seat_overview import MapiPlaySeatOverview
from dspt_api.util.mapi.seat_book import MapiSeatBook
from dspt_api.util.mapi.card_recharge import MapiCardRecharge
from dspt_api.util.mapi.seat_unlock import MapiSeatUnlock
from dspt_api.util.mapi.ticket_refund import MapiTicketRefund
from dspt_api.util.mapi.order_ticket_flag import MapiOrderTicketFlag
from dspt_api.util.mapi.order_status import MapiOrderStatus
from dspt_api.util.mapi.ticket_info import MapiTicketInfo
from dspt_api.util.mapi.order_info import MapiOrderInfo
from dspt_api.util.mapi.ticket_print import MapiTicketPrint
from dspt_api.util.mapi.card_active import MapiCardActive
from dspt_api.util.mapi.card_regist import MapiCardRegist
from dspt_api.util.mapi.cinema_recharge_bill import MapiCinemaRechargeBill
from dspt_api.util.mapi.cinema_ticket_bill import MapiCinemaTicketBill
from dspt_api.util.mapi.cinema_goods_bill import MapiCinemaGoodsBill
from dspt_api.util.mapi.cinema_send_card_bill import MapiCinemaSendCardBill


# 通过api来匹配不同的接口文件获取推荐
# 返回推荐参数应该包含参数名，参数值，和是否勾选的状态
def suggest_params(member_type, api, env, cid, pid, ip, **kwargs):
    data = {'member_type': member_type, 'api': api, 'env': env, 'cid': cid, 'pid': pid, 'ip': ip}
    print('suggest_params: ', data)
    params = []
    # 非会员
    # 3.1.4 获取影厅座位图*
    if api == 'cinema/hall-seats' and member_type == 'nonmember':
        print('cinema/hall-seats')
        params = ApiCinemaHallSeats(**data).get_suggestion()
    # 3.1.6 获取放映计划列表（增量）*
    if api == 'cinema/plays-increment' and member_type == 'nonmember':
        print('cinema/plays-increment')
        params = ApiCinemaPlaysIncrement(**data).get_suggestion()
    # 3.1.7 获取某（几）个场次信息*
    if api == 'play/info' and member_type == 'nonmember':
        print('play/info')
        params = ApiPlayInfo(**data).get_suggestion()
    # 3.1.8 获取某场次座位状态*
    if api == 'play/seat-status' and member_type == 'nonmember':
        print('play/seat-status')
        params = ApiPlaySeatStatus(**data).get_suggestion()
    # 3.1.9 获取某场次座位状态（增量）*
    if api == 'play/period-changed-seats' and member_type == 'nonmember':
        print('play/period-changed-seats')
        params = ApiPlayPeriodChangedSeats(**data).get_suggestion()
    # 3.1.10 获取某（几）个场次座位售卖统计信息*
    if api == 'play/seat-overview' and member_type == 'nonmember':
        print('play/seat-overview')
        params = ApiPlaySeatOverview(**data).get_suggestion()
    # 3.2.2 获取单个卖品的图片信息*
    if api == 'cinema/goods-pic' and member_type == 'nonmember':
        print('cinema/goods-pic')
        params = ApiCinemaGoodsPic(**data).get_suggestion()
    # 3.3.1 座位锁定*
    if api == 'seat/lock' and member_type == 'nonmember':
        print('seat/lock')
        params = ApiSeatLock(**data).get_suggestion()
    # 3.3.2 座位解锁*
    if api == 'seat/unlock' and member_type == 'nonmember':
        print('seat/unlock')
        params = ApiSeatUnlock(**data).get_suggestion()
    # 3.3.3 混合下单（影票、卖品）*
    if api == 'seat/lock-buy' and member_type == 'nonmember':
        print('seat/lock-buy')
        print("kwargs['sale_type']", kwargs['sale_type'])
        print("kwargs['pay_type']", kwargs['pay_type'])
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        params = ApiSeatLockBuy(**data).get_suggestion()
    # 3.3.4 单独下单（卖品）*
    if api == 'order/buy-goods' and member_type == 'nonmember':
        print('order/buy-goods')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        params = ApiOrderBuyGoods(**data).get_suggestion()
    # 3.3.5 混合退单（影票、卖品）*
    if api == 'ticket/refundv2' and member_type == 'nonmember':
        print('ticket/refundv2')
        params = ApiTicketRefundV2(**data).get_suggestion()
    # 3.3.6 单独退单（影票）*
    if api == 'ticket/refund' and member_type == 'nonmember':
        print('ticket/refund')
        params = ApiTicketRefund(**data).get_suggestion()
    # 3.3.7 查询订单状态及取票码*
    if api == 'order/ticket-flag' and member_type == 'nonmember':
        print('order/ticket-flag')
        params = ApiOrderTicketFlag(**data).get_suggestion()
    # 3.3.8 查询订单状态*
    if api == 'order/status' and member_type == 'nonmember':
        print('order/status')
        params = ApiOrderStatus(**data).get_suggestion()
    # 3.3.9 查询订单信息（影票）*
    if api == 'ticket/info' and member_type == 'nonmember':
        print('ticket/info')
        params = ApiTicketInfo(**data).get_suggestion()
    # 3.3.10 查询订单信息（影票、卖品）*
    if api == 'order/info' and member_type == 'nonmember':
        print('order/info')
        params = ApiOrderInfo(**data).get_suggestion()
    # 3.3.11 查询影票信息（检票商闸机扫码）*
    if api == 'ticket/info-by-qrcode' and member_type == 'nonmember':
        print('ticket/info-by-qrcode')
        params = ApiTicketInfoByQrcode(**data).get_suggestion()
    # 3.3.12 确认出票（设置影票为已出票）*
    if api == 'ticket/print' and member_type == 'nonmember':
        print('ticket/print')
        params = ApiTicketPrint(**data).get_suggestion()
    # 3.3.13 卖品确认出货（扣减卖品库存量）*
    if api == 'goods/deduct' and member_type == 'nonmember':
        print('goods/deduct')
        params = ApiGoodsDeduct(**data).get_suggestion()
    # 3.4.2 联名卡开卡*
    if api == 'ecard/regist' and member_type == 'nonmember':
        print('ecard/regist')
        params = ApiEcardRegist(**data).get_suggestion()
    # 3.4.3 联名卡续卡*
    if api == 'ecard/renew' and member_type == 'nonmember':
        print('ecard/renew')
        params = ApiEcardRenew(**data).get_suggestion()
    # 3.4.4 获取联名卡详情*
    if api == 'ecard/detail' and member_type == 'nonmember':
        print('ecard/detail')
        params = ApiEcardDetail(**data).get_suggestion()
    # 3.4.5 联名卡开卡／续卡订单详情*
    if api == 'ecard/order-detail' and member_type == 'nonmember':
        print('ecard/order-detail')
        params = ApiEcardOrderDetail(**data).get_suggestion()
    # 3.4.6 获取座位的联名卡价格*
    if api == 'ecard/seat-price' and member_type == 'nonmember':
        print('ecard/seat-price')
        params = ApiEcardSeatPrice(**data).get_suggestion()
    # 3.4.8 联名卡退单*
    if api == 'ecard/refund' and member_type == 'nonmember':
        print('ecard/refund')
        params = ApiEcardRefund(**data).get_suggestion()
    # 3.6.1 添加券*
    if api == 'seat/check-coupon' and member_type == 'nonmember':
        print('seat/check-coupon')
        print("kwargs['sale_type']", kwargs['sale_type'])
        data['sale_type'] = kwargs['sale_type']
        params = ApiSeatCheckCoupon(**data).get_suggestion()

    # 会员
    # 3.1.2 会员卡密码校验
    if api == 'card/auth' and member_type == 'member':
        print('card/auth')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        params = MapiCardAuth(**data).get_suggestion()
    # 3.1.3 查询会员卡的详细信息
    if api == 'card/detail' and member_type == 'member':
        print('card/detail')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        params = MapiCardDetail(**data).get_suggestion()
    # 3.1.4 获取会员卡某场次的购票信息
    if api == 'card/buy-info' and member_type == 'member':
        print('card/buy-info')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        params = MapiCardBuyInfo(**data).get_suggestion()
    # 3.1.5 获取有效的未出票订单
    if api == 'order/tickets' and member_type == 'member':
        print('order/tickets')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        params = MapiOrderTickets(**data).get_suggestion()
    # 3.1.6 查询会员卡充值记录
    if api == 'card/recharge-log' and member_type == 'member':
        print('card/recharge-log')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        params = MapiCardRechargeLog(**data).get_suggestion()
    # 3.1.7 查询会员卡历史订单
    if api == 'order/list' and member_type == 'member':
        print('order/list')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        params = MapiOrderList(**data).get_suggestion()
    # 3.1.8 查询某条订单的详细信息
    if api == 'order/detail' and member_type == 'member':
        print('order/detail')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        params = MapiOrderDetail(**data).get_suggestion()
    # 3.1.10 会员卡消费流水查询
    if api == 'card/trade-query' and member_type == 'member':
        print('card/trade-query')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        params = MapiCardTradeQuery(**data).get_suggestion()
    # 3.1.12 会员卡积分记录查询
    if api == 'card/jifen-query' and member_type == 'member':
        print('card/jifen-query')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        params = MapiCardJifenQuery(**data).get_suggestion()
    # 3.2.4 获取影片详细信息
    if api == 'movie/info' and member_type == 'member':
        print('movie/info')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        params = MapiMovieInfo(**data).get_suggestion()
    # 3.2.5 获取场次详细信息
    if api == 'play/info' and member_type == 'member':
        print('play/info')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        params = MapiPlayInfo(**data).get_suggestion()
    # 3.2.6 获取场次座位状态
    if api == 'play/seat-status' and member_type == 'member':
        print('play/seat-status')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        params = MapiPlaySeatStatus(**data).get_suggestion()
    # 3.2.7 获取场次座位状态增量
    if api == 'play/period-changed-seats' and member_type == 'member':
        print('play/period-changed-seats')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        params = MapiPlayPeriodChangedSeats(**data).get_suggestion()
    # 3.2.8 获取场次座位售卖统计信息
    if api == 'play/seat-overview' and member_type == 'member':
        print('play/seat-overview')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        params = MapiPlaySeatOverview(**data).get_suggestion()
    # 3.3.2 获取卖品折扣信息
    if api == 'card/get-goods-price' and member_type == 'member':
        print('card/get-goods-price')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        params = MapiCardGetGoodsPrice(**data).get_suggestion()
    # 3.4.1 订票
    if api == 'seat/book' and member_type == 'member':
        print('seat/book')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        params = MapiSeatBook(**data).get_suggestion()
    # 3.4.2 会员卡充值
    if api == 'card/recharge' and member_type == 'member':
        print('card/recharge')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        params = MapiCardRecharge(**data).get_suggestion()
    # 3.4.3 座位锁定
    if api == 'seat/lock' and member_type == 'member':
        print('seat/lock')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        params = MapiSeatLock(**data).get_suggestion()
    # 3.4.4 座位锁定后获取票价
    if api == 'seat/price' and member_type == 'member':
        print('seat/price')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        params = MapiSeatPrice(**data).get_suggestion()
    # 3.4.5 座位解锁
    if api == 'seat/unlock' and member_type == 'member':
        print('seat/unlock')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        params = MapiSeatUnlock(**data).get_suggestion()
    # 3.4.6 混合下单（影票、卖品）
    if api == 'seat/lock-buy' and member_type == 'member':
        print('seat/lock-buy')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        params = MapiSeatLockBuy(**data).get_suggestion()
    # 3.4.7 单独下单（卖品）
    if api == 'order/buy-goods' and member_type == 'member':
        print('order/buy-goods')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        params = MapiOrderBuyGoods(**data).get_suggestion()
    # 3.4.8 退单（影票、卖品）
    if api == 'ticket/refund' and member_type == 'member':
        print('ticket/refund')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        params = MapiTicketRefund(**data).get_suggestion()
    # 3.4.9 查询订单状态及取票码
    if api == 'order/ticket-flag' and member_type == 'member':
        print('order/ticket-flag')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        params = MapiOrderTicketFlag(**data).get_suggestion()
    # 3.4.10 查询订单状态
    if api == 'order/status' and member_type == 'member':
        print('order/status')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        params = MapiOrderStatus(**data).get_suggestion()
    # 3.4.11 查询订单信息（影票）
    if api == 'ticket/info' and member_type == 'member':
        print('ticket/info')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        params = MapiTicketInfo(**data).get_suggestion()
    # 3.4.12 查询订单信息（影票、卖品）
    if api == 'order/info' and member_type == 'member':
        print('order/info')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        params = MapiOrderInfo(**data).get_suggestion()
    # 3.4.13 确认出票（设置影票为已出票）
    if api == 'ticket/print' and member_type == 'member':
        print('ticket/print')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        params = MapiTicketPrint(**data).get_suggestion()
    # 3.4.14 会员卡激活
    if api == 'card/active' and member_type == 'member':
        print('card/active')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        params = MapiCardActive(**data).get_suggestion()
    # 3.4.15 会员卡线上开卡
    if api == 'card/regist' and member_type == 'member':
        print('card/regist')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        params = MapiCardRegist(**data).get_suggestion()
    # 3.5.1 充值明细对账
    if api == 'cinema/recharge-bill' and member_type == 'member':
        print('cinema/recharge-bill')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        params = MapiCinemaRechargeBill(**data).get_suggestion()
    # 3.5.2 影票对账
    if api == 'cinema/ticket-bill' and member_type == 'member':
        print('cinema/ticket-bill')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        params = MapiCinemaTicketBill(**data).get_suggestion()
    # 3.5.3 卖品对账
    if api == 'cinema/goods-bill' and member_type == 'member':
        print('cinema/goods-bill')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        params = MapiCinemaGoodsBill(**data).get_suggestion()
    # 3.5.4 发卡明细对账
    if api == 'cinema/send-card-bill' and member_type == 'member':
        print('cinema/send-card-bill')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        params = MapiCinemaSendCardBill(**data).get_suggestion()
    return params


def suggest_params_timestamp(member_type, api, env, cid, pid, ip, **kwargs):
    data = {'member_type': member_type, 'api': api, 'env': env, 'cid': cid, 'pid': pid, 'ip': ip}
    _timestamps = 0
    # 非会员
    # 3.1.4 获取影厅座位图*
    if api == 'cinema/hall-seats' and member_type == 'nonmember':
        print('cinema/hall-seats')
        _timestamps = ApiCinemaHallSeats(**data).get_timestamp()
    # 3.1.6 获取放映计划列表（增量）*
    if api == 'cinema/plays-increment' and member_type == 'nonmember':
        print('cinema/plays-increment')
        _timestamps = ApiCinemaPlaysIncrement(**data).get_timestamp()
    # 3.1.7 获取某（几）个场次信息*
    if api == 'play/info' and member_type == 'nonmember':
        print('play/info')
        _timestamps = ApiPlayInfo(**data).get_timestamp()
    # 3.1.8 获取某场次座位状态*
    if api == 'play/seat-status' and member_type == 'nonmember':
        print('play/seat-status')
        _timestamps = ApiPlaySeatStatus(**data).get_timestamp()
    # 3.1.9 获取某场次座位状态（增量）*
    if api == 'play/period-changed-seats' and member_type == 'nonmember':
        print('play/period-changed-seats')
        _timestamps = ApiPlayPeriodChangedSeats(**data).get_timestamp()
    # 3.1.10 获取某（几）个场次座位售卖统计信息*
    if api == 'play/seat-overview' and member_type == 'nonmember':
        print('play/seat-overview')
        _timestamps = ApiPlaySeatOverview(**data).get_timestamp()
    # 3.2.2 获取单个卖品的图片信息*
    if api == 'cinema/goods-pic' and member_type == 'nonmember':
        print('cinema/goods-pic')
        _timestamps = ApiCinemaGoodsPic(**data).get_timestamp()
    # 3.3.1 座位锁定*
    if api == 'seat/lock' and member_type == 'nonmember':
        print('seat/lock')
        _timestamps = ApiSeatLock(**data).get_timestamp()
    # 3.3.2 座位解锁*
    if api == 'seat/unlock' and member_type == 'nonmember':
        print('seat/unlock')
        _timestamps = ApiSeatUnlock(**data).get_timestamp()
    # 3.3.3 混合下单（影票、卖品）*
    if api == 'seat/lock-buy' and member_type == 'nonmember':
        print('seat/lock-buy')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        _timestamps = ApiSeatLockBuy(**data).get_timestamp()
    # 3.3.4 单独下单（卖品）*
    if api == 'order/buy-goods' and member_type == 'nonmember':
        print('order/buy-goods')
        _timestamps = ApiOrderBuyGoods(**data).get_timestamp()
    # 3.3.5 混合退单（影票、卖品）*
    if api == 'ticket/refundv2' and member_type == 'nonmember':
        print('ticket/refundv2')
        _timestamps = ApiTicketRefundV2(**data).get_timestamp()
    # 3.3.6 单独退单（影票）*
    if api == 'ticket/refund' and member_type == 'nonmember':
        print('ticket/refund')
        _timestamps = ApiTicketRefund(**data).get_timestamp()
    # 3.3.7 查询订单状态及取票码*
    if api == 'order/ticket-flag' and member_type == 'nonmember':
        print('order/ticket-flag')
        _timestamps = ApiOrderTicketFlag(**data).get_timestamp()
    # 3.3.8 查询订单状态*
    if api == 'order/status' and member_type == 'nonmember':
        print('order/status')
        _timestamps = ApiOrderStatus(**data).get_timestamp()
    # 3.3.9 查询订单信息（影票）*
    if api == 'ticket/info' and member_type == 'nonmember':
        print('ticket/info')
        _timestamps = ApiTicketInfo(**data).get_timestamp()
    # 3.3.10 查询订单信息（影票、卖品）*
    if api == 'order/info' and member_type == 'nonmember':
        print('order/info')
        _timestamps = ApiOrderInfo(**data).get_timestamp()
    # 3.3.11 查询影票信息（检票商闸机扫码）*
    if api == 'ticket/info-by-qrcode' and member_type == 'nonmember':
        print('ticket/info-by-qrcode')
        _timestamps = ApiTicketInfoByQrcode(**data).get_timestamp()
    # 3.3.12 确认出票（设置影票为已出票）*
    if api == 'ticket/print' and member_type == 'nonmember':
        print('ticket/print')
        _timestamps = ApiTicketPrint(**data).get_timestamp()
    # 3.3.13 卖品确认出货（扣减卖品库存量）*
    if api == 'goods/deduct' and member_type == 'nonmember':
        print('goods/deduct')
        _timestamps = ApiGoodsDeduct(**data).get_timestamp()
    # 3.4.2 联名卡开卡*
    if api == 'ecard/regist' and member_type == 'nonmember':
        print('ecard/regist')
        _timestamps = ApiEcardRegist(**data).get_timestamp()
    # 3.4.3 联名卡续卡*
    if api == 'ecard/renew' and member_type == 'nonmember':
        print('ecard/renew')
        _timestamps = ApiEcardRenew(**data).get_timestamp()
    # 3.4.4 获取联名卡详情*
    if api == 'ecard/detail' and member_type == 'nonmember':
        print('ecard/detail')
        _timestamps = ApiEcardDetail(**data).get_timestamp()
    #  3.4.5 联名卡开卡／续卡订单详情*
    if api == 'ecard/order-detail' and member_type == 'nonmember':
        print('ecard/order-detail')
        _timestamps = ApiEcardOrderDetail(**data).get_timestamp()
    # 3.4.6 获取座位的联名卡价格*
    if api == 'ecard/seat-price' and member_type == 'nonmember':
        print('ecard/seat-price')
        _timestamps = ApiEcardSeatPrice(**data).get_timestamp()
    # 3.4.8 联名卡退单*
    if api == 'ecard/refund' and member_type == 'nonmember':
        print('ecard/refund')
        _timestamps = ApiEcardRefund(**data).get_timestamp()
    # 3.6.1 添加券*
    if api == 'seat/check-coupon' and member_type == 'nonmember':
        print('seat/check-coupon')
        print("kwargs['sale_type']", kwargs['sale_type'])
        data['sale_type'] = kwargs['sale_type']
        _timestamps = ApiSeatCheckCoupon(**data).get_timestamp()

    # 会员
    # 3.1.2 会员卡密码校验
    if api == 'card/auth' and member_type == 'member':
        print('card/auth')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        _timestamps = MapiCardAuth(**data).get_timestamp()
    # 3.1.3 查询会员卡的详细信息
    if api == 'card/detail' and member_type == 'member':
        print('card/detail')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        _timestamps = MapiCardDetail(**data).get_timestamp()
    # 3.1.4 获取会员卡某场次的购票信息
    if api == 'card/buy-info' and member_type == 'member':
        print('card/buy-info')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        _timestamps = MapiCardBuyInfo(**data).get_timestamp()
    # 3.1.5 获取有效的未出票订单
    if api == 'order/tickets' and member_type == 'member':
        print('order/tickets')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        _timestamps = MapiOrderTickets(**data).get_timestamp()
    # 3.1.6 查询会员卡充值记录
    if api == 'card/recharge-log' and member_type == 'member':
        print('card/recharge-log')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        _timestamps = MapiCardRechargeLog(**data).get_timestamp()
    # 3.1.7 查询会员卡历史订单
    if api == 'order/list' and member_type == 'member':
        print('order/list')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        _timestamps = MapiOrderList(**data).get_timestamp()
    # 3.1.8 查询某条订单的详细信息
    if api == 'order/detail' and member_type == 'member':
        print('order/detail')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        _timestamps = MapiOrderDetail(**data).get_timestamp()
    # 3.1.10 会员卡消费流水查询
    if api == 'card/trade-query' and member_type == 'member':
        print('card/trade-query')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        _timestamps = MapiCardTradeQuery(**data).get_timestamp()
    # 3.1.12 会员卡积分记录查询
    if api == 'card/jifen-query' and member_type == 'member':
        print('card/jifen-query')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        _timestamps = MapiCardJifenQuery(**data).get_timestamp()
    # 3.2.4 获取影片详细信息
    if api == 'movie/info' and member_type == 'member':
        print('movie/info')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        _timestamps = MapiMovieInfo(**data).get_timestamp()
    # 3.2.5 获取场次详细信息
    if api == 'play/info' and member_type == 'member':
        print('play/info')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        _timestamps = MapiPlayInfo(**data).get_timestamp()
    # 3.2.6 获取场次座位状态
    if api == 'play/seat-status' and member_type == 'member':
        print('play/seat-status')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        _timestamps = MapiPlaySeatStatus(**data).get_timestamp()
    # 3.2.7 获取场次座位状态增量
    if api == 'play/period-changed-seats' and member_type == 'member':
        print('play/period-changed-seats')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        _timestamps = MapiPlayPeriodChangedSeats(**data).get_timestamp()
    # 3.2.8 获取场次座位售卖统计信息
    if api == 'play/seat-overview' and member_type == 'member':
        print('play/seat-overview')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        _timestamps = MapiPlaySeatOverview(**data).get_timestamp()
    # 3.3.2 获取卖品折扣信息
    if api == 'card/get-goods-price' and member_type == 'member':
        print('card/get-goods-price')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        _timestamps = MapiCardGetGoodsPrice(**data).get_timestamp()
    # 3.4.1 订票
    if api == 'seat/book' and member_type == 'member':
        print('seat/book')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        _timestamps = MapiSeatBook(**data).get_timestamp()
    # 3.4.2 会员卡充值
    if api == 'card/recharge' and member_type == 'member':
        print('card/recharge')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        _timestamps = MapiCardRecharge(**data).get_timestamp()
    # 3.4.3 座位锁定
    if api == 'seat/lock' and member_type == 'member':
        print('seat/lock')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        _timestamps = MapiSeatLock(**data).get_timestamp()
    # 3.4.4 座位锁定后获取票价
    if api == 'seat/price' and member_type == 'member':
        print('seat/price')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        _timestamps = MapiSeatPrice(**data).get_timestamp()
    # 3.4.5 座位解锁
    if api == 'seat/unlock' and member_type == 'member':
        print('seat/unlock')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        _timestamps = MapiSeatUnlock(**data).get_timestamp()
    # 3.4.6 混合下单（影票、卖品）
    if api == 'seat/lock-buy' and member_type == 'member':
        print('seat/lock-buy')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        _timestamps = MapiSeatLockBuy(**data).get_timestamp()
    # 3.4.7 单独下单（卖品）
    if api == 'order/buy-goods' and member_type == 'member':
        print('order/buy-goods')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        _timestamps = MapiOrderBuyGoods(**data).get_timestamp()
    # 3.4.8 退单（影票、卖品）
    if api == 'ticket/refund' and member_type == 'member':
        print('ticket/refund')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        _timestamps = MapiTicketRefund(**data).get_timestamp()
    # 3.4.9 查询订单状态及取票码
    if api == 'order/ticket-flag' and member_type == 'member':
        print('order/ticket-flag')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        _timestamps = MapiOrderTicketFlag(**data).get_timestamp()
    # 3.4.10 查询订单状态
    if api == 'order/status' and member_type == 'member':
        print('order/status')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        _timestamps = MapiOrderStatus(**data).get_timestamp()
    # 3.4.11 查询订单信息（影票）
    if api == 'ticket/info' and member_type == 'member':
        print('ticket/info')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        _timestamps = MapiTicketInfo(**data).get_timestamp()
    # 3.4.12 查询订单信息（影票、卖品）
    if api == 'order/info' and member_type == 'member':
        print('order/info')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        _timestamps = MapiOrderInfo(**data).get_timestamp()
    # 3.4.13 确认出票（设置影票为已出票）
    if api == 'ticket/print' and member_type == 'member':
        print('ticket/print')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        _timestamps = MapiTicketPrint(**data).get_timestamp()
    # 3.4.14 会员卡激活
    if api == 'card/active' and member_type == 'member':
        print('card/active')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        _timestamps = MapiCardActive(**data).get_timestamp()
    # 3.4.15 会员卡线上开卡
    if api == 'card/regist' and member_type == 'member':
        print('card/regist')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        _timestamps = MapiCardRegist(**data).get_timestamp()
    # 3.5.1 充值明细对账
    if api == 'cinema/recharge-bill' and member_type == 'member':
        print('cinema/recharge-bill')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        _timestamps = MapiCinemaRechargeBill(**data).get_timestamp()
    # 3.5.2 影票对账
    if api == 'cinema/ticket-bill' and member_type == 'member':
        print('cinema/ticket-bill')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        _timestamps = MapiCinemaTicketBill(**data).get_timestamp()
    # 3.5.3 卖品对账
    if api == 'cinema/goods-bill' and member_type == 'member':
        print('cinema/goods-bill')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        _timestamps = MapiCinemaGoodsBill(**data).get_timestamp()
    # 3.5.4 发卡明细对账
    if api == 'cinema/send-card-bill' and member_type == 'member':
        print('cinema/send-card-bill')
        data['sale_type'] = kwargs['sale_type']
        data['pay_type'] = kwargs['pay_type']
        _timestamps = MapiCinemaSendCardBill(**data).get_timestamp()
    return _timestamps
