import json
from dspt_api.util.general.handle_redis import get_data_from_redis
from dspt_api.util.general.handle_params import add_param
from dspt_api.util.general.handle_card import get_card
from dspt_api.util.general.handle_goods import general_goods_field_member, change_goods_price_str


class MapiCardGetGoodsPrice:
    def __init__(self, **kwargs):
        self.member_type = kwargs.get('member_type')
        self.api = kwargs.get('api')
        self.ip = kwargs.get('ip')
        self.env = kwargs.get('env')
        self.cid = kwargs.get('cid')
        self.pid = kwargs.get('pid')
        self.sale_type = kwargs.get('sale_type')
        self.pay_type = kwargs.get('pay_type')
        self.user_data = {
            'ip': self.ip,
            'env': self.env,
            'member_type': self.member_type,
            'pid': self.pid,
            'cid': self.cid,
            'sale_type': self.sale_type,
            'pay_type': self.pay_type,
        }
        self.return_data = []

    def get_suggestion(self):
        print('get_suggestion', self.user_data)

        # card & goods
        self.handle()

        print(__name__, self.return_data)
        return self.return_data

    def get_timestamp(self):
        return self.handle()

    def handle(self):
        # 获取会员卡号
        card_result, card_num = get_card(self.ip, self.env, self.pid, self.cid, self.pay_type['card_num'])
        add_param(self.return_data, 'card', card_num)

        # goods
        redis_key_prefix = f'dspt_api_{self.ip}_{self.env}_{self.member_type}_{self.pid}_{self.cid}'
        request_api_play_seat_status = {'name': '3.3.1 获取卖品列表', 'path': 'cinema/goods'}
        redis_key_api_play_seat_status = f'{redis_key_prefix}_{request_api_play_seat_status["path"]}'
        result, _format, _goods_data, _timestamp = get_data_from_redis(redis_key_api_play_seat_status)
        goods = '请手动输入参数，或先请求接口：3.3.1 获取卖品列表'
        if result:
            goods_field_list, total_goods_val = general_goods_field_member(_goods_data, self.user_data)
            goods = json.dumps(change_goods_price_str(goods_field_list))
        add_param(self.return_data,'goods', goods)

        return _timestamp if result else 0