from dspt_api.util.general.handle_redis import get_data_from_redis
from dspt_api.util.general.get_order_num import general_order_num
from dspt_api.util.general.handle_params import add_param
import json
import time


class MapiCardRegist:
    def __init__(self, **kwargs):
        self.member_type = kwargs.get('member_type')
        self.api = kwargs.get('api')
        self.ip = kwargs.get('ip')
        self.env = kwargs.get('env')
        self.cid = kwargs.get('cid')
        self.pid = kwargs.get('pid')
        self.sale_type = kwargs.get('sale_type')
        self.pay_type = kwargs.get('pay_type')
        self.user_data = {
            'ip': self.ip,
            'env': self.env,
            'member_type': self.member_type,
            'pid': self.pid,
            'cid': self.cid,
            'sale_type': self.sale_type,
            'pay_type': self.pay_type,
        }
        self.return_data = []

    def get_suggestion(self):
        print('get_suggestion', self.user_data, self.sale_type, self.pay_type)
        # partner_order_id
        partner_order_id = general_order_num('REG', self.api, self.member_type, self.ip, self.env, self.pid,
                                             self.cid)
        add_param(self.return_data, 'partner_order_id', partner_order_id)

        # check_mobile
        add_param(self.return_data, 'check_mobile', '2')

        # card_info
        redis_key_prefix = f'dspt_api_{self.ip}_{self.env}_{self.member_type}_{self.pid}_{self.cid}'
        request_api_card_level = {'name': '3.1.1 获取影院卡等级规则', 'path': 'cinema/card-level-rule'}
        redis_key_api_card_level = f'{redis_key_prefix}_{request_api_card_level["path"]}'
        result_card_level, _format_card_level, data_card_level, _timestamp_card_level = get_data_from_redis(
            redis_key_api_card_level)
        card_info = '请手动输入参数，或先请求接口：3.1.1 获取影院卡等级规则'
        if result_card_level:
            card_info = {'password': self.pay_type['card_password'],
                         'mobile': '18688886666',
                         'cardLevelId': data_card_level['levelId'],
                         'cardLevelName': data_card_level['levelName'],
                         'rechargeValue': data_card_level['initMoney'],
                         'sendCardFee': data_card_level['sendCardFee'],
                         'sendCardEquityFee': data_card_level['sendCardEquityFee'],
                         'exchangeBarcode': None}
        add_param(self.return_data, 'card_info', json.dumps(card_info) if result_card_level else card_info)

        print(__name__, self.return_data)
        return self.return_data

    @staticmethod
    def get_timestamp():
        return int(time.time() * 1000)
