from dspt_api.util.general.get_order_num import general_order_num
from dspt_api.util.general.handle_goods import general_goods_params_member
from dspt_api.util.general.handle_card import get_card
from dspt_api.util.general.handle_params import add_param
import time
import json



class MapiOrderBuyGoods:
    def __init__(self, **kwargs):
        self.member_type = kwargs.get('member_type')
        self.api = kwargs.get('api')
        self.ip = kwargs.get('ip')
        self.env = kwargs.get('env')
        self.cid = kwargs.get('cid')
        self.pid = kwargs.get('pid')
        self.sale_type = kwargs.get('sale_type')
        self.pay_type = kwargs.get('pay_type')
        self.user_data = {
            'ip': self.ip,
            'env': self.env,
            'member_type': self.member_type,
            'pid': self.pid,
            'cid': self.cid,
            'sale_type': self.sale_type,
            'pay_type': self.pay_type,
        }
        self.return_data = []

    def get_suggestion(self):
        print('get_suggestion', self.user_data, self.sale_type, self.pay_type)

        # 获取会员卡号
        card_result, card_num = get_card(self.ip, self.env, self.pid, self.cid, self.pay_type['card_num'])
        add_param(self.return_data, 'card', card_num)

        # mobile
        add_param(self.return_data, 'mobile', '18688886666', timestamp=1000000000000)

        # partner_buy_ticket_id
        partner_buy_ticket_id = general_order_num('BUY_G', self.api, self.member_type, self.ip, self.env, self.pid,
                                                  self.cid)
        add_param(self.return_data, 'partner_buy_ticket_id', partner_buy_ticket_id)

        self.handle(card_num)

        print(__name__, self.return_data)
        return self.return_data

    @staticmethod
    def get_timestamp():
        return int(time.time() * 1000)

    def handle(self, card_num):
        _third_pay = 0
        if self.sale_type == 'goods':
            # goods & goods_card_balance_pay & goods_cash
            _good_result, _goods_field, _goods_card_balance_pay, _goods_cash, _third_pay, _goods_timestamp = general_goods_params_member(
                self.user_data, self.pay_type, card_num, _third_pay)

            print('general_goods_params_member', _good_result, _goods_field, _goods_card_balance_pay, _goods_cash,
                  _third_pay, _goods_timestamp)
            goods = '请手动输入参数，或先请求接口：3.3.1 获取卖品列表'
            goods_card_balance_pay = '请手动输入参数，或先请求接口：3.3.1 获取卖品列表'
            goods_cash = '请手动输入参数，或先请求接口：3.3.1 获取卖品列表'
            if (not _good_result) and _goods_field is not None:
                goods = _goods_field
                goods_card_balance_pay = _goods_card_balance_pay
                goods_cash = _goods_cash
            if _good_result:
                goods = json.dumps(_goods_field)
                goods_card_balance_pay = _goods_card_balance_pay
                goods_cash = _goods_cash
            add_param(self.return_data, 'goods', goods, timestamp=_goods_timestamp)
            add_param(self.return_data, 'goods_card_balance_pay', goods_card_balance_pay, timestamp=_goods_timestamp)
            add_param(self.return_data, 'goods_cash', goods_cash, timestamp=_goods_timestamp)
            add_param(self.return_data, 'delivery_type', '2', is_checked=False, timestamp=_goods_timestamp)
            add_param(self.return_data, 'delivery_location', '1号厅', is_checked=False, timestamp=_goods_timestamp)
            add_param(self.return_data, 'delivery_appoint_time',
                      time.strftime('%Y-%m-%d %H:%M:%S', time.localtime(time.time() + 5 * 60)), is_checked=False,
                      timestamp=_goods_timestamp)
            add_param(self.return_data, 'contact_number', '18688886666', is_checked=False, timestamp=_goods_timestamp)
            add_param(self.return_data, 't3d_pay_amount', _third_pay, timestamp=_goods_timestamp)
