from dspt_api.util.general.handle_redis import get_data_from_redis
from dspt_api.util.general.handle_card import get_card
from dspt_api.util.general.handle_params import add_param
import time


class MapiOrderDetail:
    def __init__(self, **kwargs):
        self.member_type = kwargs.get('member_type')
        self.api = kwargs.get('api')
        self.ip = kwargs.get('ip')
        self.env = kwargs.get('env')
        self.cid = kwargs.get('cid')
        self.pid = kwargs.get('pid')
        self.sale_type = kwargs.get('sale_type')
        self.pay_type = kwargs.get('pay_type')
        self.user_data = {
            'ip': self.ip,
            'env': self.env,
            'member_type': self.member_type,
            'pid': self.pid,
            'cid': self.cid,
            'sale_type': self.sale_type,
            'pay_type': self.pay_type,
        }
        self.return_data = []

    def get_suggestion(self):
        print('get_suggestion', self.user_data, self.sale_type, self.pay_type)
        # 获取会员卡号
        card_result, card_num = get_card(self.ip, self.env, self.pid, self.cid, self.pay_type['card_num'])
        add_param(self.return_data, 'card', card_num, timestamp=int(time.time() * 1000))

        # order_id
        redis_key_prefix = f'dspt_api_{self.ip}_{self.env}_{self.member_type}_{self.pid}_{self.cid}'
        request_api_play = {'name': '3.4.6 混合下单（影票、卖品）', 'path': 'seat/lock-buy'}
        redis_key_api_play = f'{redis_key_prefix}_{request_api_play["path"]}'
        result_buy, _format_buy, data_buy, _timestamp_buy = get_data_from_redis(redis_key_api_play)
        order_id = '请手动输入参数，检查相关接口返回值：3.4.6 混合下单（影票、卖品）'
        if result_buy:
            order_id = data_buy['ticketFlag1'] + data_buy['ticketFlag2']
        add_param(self.return_data, 'order_id', order_id)

        #type
        add_param(self.return_data, 'type', 'sell')

        print(__name__, self.return_data)
        return self.return_data

    @staticmethod
    def get_timestamp():
        return int(time.time() * 1000)
