from dspt_api.util.general.handle_redis import get_data_from_redis, get_timestamp_from_redis
from dspt_api.util.general.handle_params import add_param
import time


class MapiOrderInfo:
    def __init__(self, **kwargs):
        self.member_type = kwargs.get('member_type')
        self.api = kwargs.get('api')
        self.ip = kwargs.get('ip')
        self.env = kwargs.get('env')
        self.cid = kwargs.get('cid')
        self.pid = kwargs.get('pid')
        self.sale_type = kwargs.get('sale_type')
        self.pay_type = kwargs.get('pay_type')
        self.user_data = {
            'ip': self.ip,
            'env': self.env,
            'member_type': self.member_type,
            'pid': self.pid,
            'cid': self.cid,
            'sale_type': self.sale_type,
            'pay_type': self.pay_type,
        }
        self.return_data = []

    def get_suggestion(self):
        print('get_suggestion', self.user_data, self.sale_type, self.pay_type)
        # ticket_flag1 & ticket_flag2
        redis_key_prefix = f'dspt_api_{self.ip}_{self.env}_{self.member_type}_{self.pid}_{self.cid}'

        # 影票
        request_api_lock_buy = {'name': '3.4.6 混合下单（影票、卖品）', 'path': 'seat/lock-buy'}
        redis_key_api_lock_buy = f'{redis_key_prefix}_{request_api_lock_buy["path"]}'
        timestamp_lock_buy = get_timestamp_from_redis(redis_key_api_lock_buy)
        result_lock_buy, _format_lock_buy, data_lock_buy, _timestamp_lock_buy = get_data_from_redis(
            redis_key_api_lock_buy)

        # 卖品
        request_api_buy_goods = {'name': '3.4.7 单独下单（卖品）', 'path': 'order/buy-goods'}
        redis_key_api_buy_goods = f'{redis_key_prefix}_{request_api_buy_goods["path"]}'
        timestamp_buy_goods = get_timestamp_from_redis(redis_key_api_buy_goods)
        result_buy_goods, _format_buy_goods, data_buy_goods, _timestamp_buy_goods = get_data_from_redis(
            redis_key_api_buy_goods)

        ticket_flag1 = '请手动输入参数，检查相关接口返回值：3.4.6 混合下单（影票、卖品） 或 3.4.7 单独下单（卖品）'
        ticket_flag2 = '请手动输入参数，检查相关接口返回值：3.4.6 混合下单（影票、卖品） 或 3.4.7 单独下单（卖品）'
        if result_lock_buy and result_buy_goods:
            if int(timestamp_lock_buy) > int(timestamp_buy_goods):
                ticket_flag1 = data_lock_buy['ticketFlag1']
                ticket_flag2 = data_lock_buy['ticketFlag2']
            else:
                ticket_flag1 = data_buy_goods['ticketFlag1']
                ticket_flag2 = data_buy_goods['ticketFlag2']
        elif result_lock_buy:
            ticket_flag1 = data_lock_buy['ticketFlag1']
            ticket_flag2 = data_lock_buy['ticketFlag2']
        elif result_buy_goods:
            ticket_flag1 = data_buy_goods['ticketFlag1']
            ticket_flag2 = data_buy_goods['ticketFlag2']

        add_param(self.return_data, 'ticket_flag1', ticket_flag1)
        add_param(self.return_data, 'ticket_flag2', ticket_flag2)

        print(__name__, self.return_data)
        return self.return_data

    @staticmethod
    def get_timestamp():
        return int(time.time() * 1000)
