from dspt_api.util.general.handle_redis import get_data_from_redis
from dspt_api.util.general.handle_params import add_param


class MapiPlaySeatStatus:
    def __init__(self, **kwargs):
        self.member_type = kwargs.get('member_type')
        self.api = kwargs.get('api')
        self.ip = kwargs.get('ip')
        self.env = kwargs.get('env')
        self.cid = kwargs.get('cid')
        self.pid = kwargs.get('pid')
        self.user_data = {
            'ip': self.ip,
            'env': self.env,
            'member_type': self.member_type,
            'pid': self.pid,
            'cid': self.cid,
        }
        self.return_data = []

    def get_suggestion(self):
        print('get_suggestion', self.user_data)

        # play_id play_update_time
        self.handle()

        print(__name__, self.return_data)
        return self.return_data

    def get_timestamp(self):
        return self.handle()

    def handle(self):
        redis_key_prefix = f'dspt_api_{self.ip}_{self.env}_{self.member_type}_{self.pid}_{self.cid}'
        request_api_play_seat_status = {'name': '3.2.3 获取放映计划列表', 'path': 'cinema/plays'}
        redis_key_api_play_seat_status = f'{redis_key_prefix}_{request_api_play_seat_status["path"]}'
        result, _format, play_data, _timestamp = get_data_from_redis(redis_key_api_play_seat_status)
        play_id = '请手动输入参数，或先请求接口：3.2.3 获取放映计划列表'
        play_update_time = '请手动输入参数，或先请求接口：3.2.3 获取放映计划列表'
        if result:
            play_id = play_data['id']
            play_update_time = play_data['cineUpdateTime']
        add_param(self.return_data, 'play_id', play_id)
        add_param(self.return_data, 'play_update_time', play_update_time)

        return _timestamp if result else 0
