from dspt_api.util.general.handle_redis import get_data_from_redis
from dspt_api.util.general.get_order_num import general_order_num
from dspt_api.util.general.handle_card import get_card
from dspt_api.util.general.handle_params import add_param
import time


class MapiSeatBook:
    def __init__(self, **kwargs):
        self.member_type = kwargs.get('member_type')
        self.api = kwargs.get('api')
        self.ip = kwargs.get('ip')
        self.env = kwargs.get('env')
        self.cid = kwargs.get('cid')
        self.pid = kwargs.get('pid')
        self.sale_type = kwargs.get('sale_type')
        self.pay_type = kwargs.get('pay_type')
        self.user_data = {
            'ip': self.ip,
            'env': self.env,
            'member_type': self.member_type,
            'pid': self.pid,
            'cid': self.cid,
            'sale_type': self.sale_type,
            'pay_type': self.pay_type,
        }
        self.return_data = []

    def get_suggestion(self):
        print('get_suggestion', self.user_data, self.sale_type, self.pay_type)

        # 获取会员卡号
        card_result, card_num = get_card(self.ip, self.env, self.pid, self.cid, self.pay_type['card_num'])
        add_param(self.return_data, 'card', card_num, timestamp=int(time.time() * 1000))

        # phone
        add_param(self.return_data, 'phone', '18688886666', timestamp=1000000000000)

        # partner_book_id
        partner_book_id = general_order_num('BOOK_T', self.api, self.member_type, self.ip, self.env, self.pid,
                                            self.cid)
        add_param(self.return_data, 'partner_book_id', partner_book_id)

        # seat_id
        redis_key_prefix = f'dspt_api_{self.ip}_{self.env}_{self.member_type}_{self.pid}_{self.cid}'
        request_api_seat = {'name': '3.2.6 获取某场次座位状态', 'path': 'play/seat-status'}
        redis_key_api_seat = f'{redis_key_prefix}_{request_api_seat["path"]}'
        result_seat, _format_seat, seat_data, _timestamp_seat = get_data_from_redis(redis_key_api_seat)
        seat_id = '请手动输入参数，或先请求接口3.2.6 获取某场次座位状态'
        if result_seat:
            seat_id_list = [seat['cineSeatId'] for seat in seat_data]
            seat_id = ','.join(seat_id_list)
        add_param(self.return_data, 'seat_id', seat_id)

        # play_id
        request_api_play = {'name': '3.2.3 获取放映计划列表', 'path': 'cinema/plays'}
        redis_key_api_play = f'{redis_key_prefix}_{request_api_play["path"]}'
        result_play, _format_play, seat_price_from_play, _timestamp_play = get_data_from_redis(redis_key_api_play)
        play_id = '请手动输入参数，或先请求接口3.2.3 获取放映计划列表'
        if result_play:
            play_id = seat_price_from_play['id']
        add_param(self.return_data, 'play_id', play_id)

        print(__name__, self.return_data)
        return self.return_data

    @staticmethod
    def get_timestamp():
        return int(time.time() * 1000)
