import json
from dspt_api.util.general.handle_seat import general_seat_params_member
from dspt_api.util.general.get_order_num import general_order_num
from dspt_api.util.general.handle_goods import general_goods_params_member
from dspt_api.util.general.handle_card import get_card
from dspt_api.util.general.handle_params import add_param
import time


class MapiSeatLockBuy:
    def __init__(self, **kwargs):
        self.member_type = kwargs.get('member_type')
        self.api = kwargs.get('api')
        self.ip = kwargs.get('ip')
        self.env = kwargs.get('env')
        self.cid = kwargs.get('cid')
        self.pid = kwargs.get('pid')
        self.sale_type = kwargs.get('sale_type')
        self.pay_type = kwargs.get('pay_type')
        self.user_data = {
            'ip': self.ip,
            'env': self.env,
            'member_type': self.member_type,
            'pid': self.pid,
            'cid': self.cid,
            'sale_type': self.sale_type,
            'pay_type': self.pay_type,
        }
        self.return_data = []

    def get_suggestion(self):
        print('get_suggestion', self.user_data, self.sale_type, self.pay_type)

        # 获取会员卡号
        card_result, card_num = get_card(self.ip, self.env, self.pid, self.cid, self.pay_type['card_num'])
        add_param(self.return_data, 'card', card_num)

        # mobile
        add_param(self.return_data, 'mobile', '18688886666', timestamp=1000000000000)
        partner_buy_ticket_id = general_order_num('BUY_T', self.api, self.member_type, self.ip, self.env, self.pid,
                                                   self.cid)
        add_param(self.return_data, 'partner_buy_ticket_id', partner_buy_ticket_id)

        # 如果没有卡号，就直接返回
        if not card_result:
            return self.return_data

        self.handle(card_num)

        print(__name__, self.return_data)
        return self.return_data

    @staticmethod
    def get_timestamp():
        return int(time.time() * 1000)

    def handle(self, card_num):
        # 影票部分
        # play_id & seat & lock_flag & play_update_time & seat_coupons & is_cinema_price & is_split_service_fee & t3d_pay_amount
        _ticket_result, _seat, _play_id, _play_update_time, _lock_flag, _seat_coupons, _is_cinema_price, _is_split_service_fee, _third_pay, _ticket_timestamp = general_seat_params_member(
            self.pay_type, self.user_data, card_num)
        print('general_seat_params', _ticket_result, _seat, _play_id, _play_update_time, _lock_flag, _seat_coupons,
              _is_cinema_price, _is_split_service_fee, _third_pay, _ticket_timestamp)
        play_id = '请手动输入参数，或先请求接口：3.1.5 获取放映计划列表'
        seat = '请手动输入参数，或先请求接口：3.1.8 获取某场次座位状态'
        lock_flag = '请手动输入参数，或先请求接口：3.3.1 座位锁定'
        play_update_time = '请手动输入参数，或先请求接口：3.1.5 获取放映计划列表'
        is_cinema_price = '请手动输入参数，或请求其他前置接口返回结果！'
        # is_split_service_fee = '请手动输入参数，或请求其他前置接口返回结果！'
        # t3d_pay_amount = '请手动输入参数，或请求其他前置接口返回结果！'
        # seat_coupons = '请手动输入参数，或请求其他前置接口返回结果！'
        if _ticket_result:
            play_id = _play_id
            seat = _seat
            lock_flag = _lock_flag
            play_update_time = _play_update_time
            is_cinema_price = _is_cinema_price
        add_param(self.return_data, 'play_id', play_id, timestamp=_ticket_timestamp)
        add_param(self.return_data, 'seat', seat, timestamp=_ticket_timestamp)
        add_param(self.return_data, 'lock_flag', lock_flag, timestamp=_ticket_timestamp)
        add_param(self.return_data, 'play_update_time', play_update_time, timestamp=_ticket_timestamp)
        add_param(self.return_data, 'is_cinema_price', is_cinema_price, timestamp=_ticket_timestamp)
        if _is_split_service_fee is not None:
            add_param(self.return_data, 'is_split_service_fee', _is_split_service_fee, timestamp=_ticket_timestamp)
        else:
            add_param(self.return_data, 'is_split_service_fee', '', False, True, timestamp=_ticket_timestamp)
        if _seat_coupons is not None:
            add_param(self.return_data, 'seat_coupons', _seat_coupons, timestamp=_ticket_timestamp)
        else:
            add_param(self.return_data, 'seat_coupons', '', False, True, timestamp=_ticket_timestamp)

        # 处理卖品部分
        if self.sale_type == 'goods':  # 特殊情况处理
            add_param(self.return_data, 'goods', '', is_checked=False)
            add_param(self.return_data, 'goods_card_balance_pay', '', is_checked=False)
            add_param(self.return_data, 'goods_cash', '', is_checked=False)
            add_param(self.return_data, 'delivery_type', '2', is_checked=False)
            add_param(self.return_data, 'delivery_location', '1号厅', is_checked=False)
            add_param(self.return_data, 'delivery_appoint_time', '', is_checked=False)
            add_param(self.return_data, 'contact_number', '18688886666', is_checked=False)

        if self.sale_type == 'all':
            delivery_appoint_time = time.strftime('%Y-%m-%d %H:%M:%S', time.localtime(time.time() + 5 * 60))
            _good_result, _goods_field, _goods_card_balance_pay, _goods_cash, _third_pay, _goods_timestamp = general_goods_params_member(
                self.user_data, self.pay_type, card_num, _third_pay)
            print('general_goods_params_member', _good_result, _goods_field, _goods_card_balance_pay, _goods_cash,
                  _third_pay, _goods_timestamp)
            goods = '请手动输入参数，或先请求接口：3.3.1 获取卖品列表'
            goods_card_balance_pay = '请手动输入参数，或先请求接口：3.3.1 获取卖品列表'
            goods_cash = '请手动输入参数，或先请求接口：3.3.1 获取卖品列表'
            if _good_result:
                goods = json.dumps(_goods_field)
                goods_card_balance_pay = _goods_card_balance_pay
                goods_cash = _goods_cash
            add_param(self.return_data, 'goods', goods, timestamp=_goods_timestamp)
            add_param(self.return_data, 'goods_card_balance_pay', goods_card_balance_pay, timestamp=_goods_timestamp)
            add_param(self.return_data, 'goods_cash', goods_cash, timestamp=_goods_timestamp)
            add_param(self.return_data, 'delivery_type', '2', is_checked=False, timestamp=_goods_timestamp)
            add_param(self.return_data, 'delivery_location', '1号厅', is_checked=False, timestamp=_goods_timestamp)
            add_param(self.return_data, 'delivery_appoint_time', delivery_appoint_time, is_checked=False,
                      timestamp=_goods_timestamp)
            add_param(self.return_data, 'contact_number', '18688886666', is_checked=False, timestamp=_goods_timestamp)

        add_param(self.return_data, 't3d_pay_amount', _third_pay, timestamp=_ticket_timestamp)
