from dspt_api.util.general.handle_redis import get_data_from_redis
from dspt_api.util.general.handle_params import add_param
from dspt_api.util.general.handle_card import get_card


class MapiSeatPrice:
    def __init__(self, **kwargs):
        self.member_type = kwargs.get('member_type')
        self.api = kwargs.get('api')
        self.ip = kwargs.get('ip')
        self.env = kwargs.get('env')
        self.cid = kwargs.get('cid')
        self.pid = kwargs.get('pid')
        self.sale_type = kwargs.get('sale_type')
        self.pay_type = kwargs.get('pay_type')
        self.user_data = {
            'ip': self.ip,
            'env': self.env,
            'member_type': self.member_type,
            'pid': self.pid,
            'cid': self.cid,
            'sale_type': self.sale_type,
            'pay_type': self.pay_type,
        }
        self.return_data = []

    def get_suggestion(self):
        print('get_suggestion', self.user_data)

        # card & lock_code
        self.handle()

        print(__name__, self.return_data)
        return self.return_data

    def get_timestamp(self):
        return self.handle()

    def handle(self):
        # card
        card_result, card_num = get_card(self.ip, self.env, self.pid, self.cid, self.pay_type['card_num'])
        add_param(self.return_data, 'card', card_num)

        # lock_code
        redis_key_prefix = f'dspt_api_{self.ip}_{self.env}_{self.member_type}_{self.pid}_{self.cid}'
        request_api_lock = {'name': '3.4.3 座位锁定', 'path': 'seat/lock'}
        redis_key_api_lock = f'{redis_key_prefix}_{request_api_lock["path"]}'
        result_lock, _format_lock, lock_data, _timestamp_lock = get_data_from_redis(redis_key_api_lock)
        lock_flag = '请手动输入参数，或先请求接口：3.4.3 座位锁定'
        if result_lock:
            lock_flag = lock_data['lockFlag']
        add_param(self.return_data, 'lock_flag', lock_flag)

        # 处理混合结果
        return _timestamp_lock if result_lock else 0
