from dspt_api.util.general.handle_redis import get_data_from_redis
from dspt_api.util.general.handle_params import add_param


class MapiSeatUnlock:
    def __init__(self, **kwargs):
        self.member_type = kwargs.get('member_type')
        self.api = kwargs.get('api')
        self.ip = kwargs.get('ip')
        self.env = kwargs.get('env')
        self.cid = kwargs.get('cid')
        self.pid = kwargs.get('pid')
        self.user_data = {
            'ip': self.ip,
            'env': self.env,
            'member_type': self.member_type,
            'pid': self.pid,
            'cid': self.cid,
        }
        self.return_data = []

    def get_suggestion(self):
        print('get_suggestion', self.user_data)

        # play_id & seat_id & lock_flag
        self.handle()

        print(__name__, self.return_data)
        return self.return_data

    def get_timestamp(self):
        return self.handle()

    def handle(self):
        # play_id
        redis_key_prefix = f'dspt_api_{self.ip}_{self.env}_{self.member_type}_{self.pid}_{self.cid}'
        request_api_play = {'name': '3.1.5 获取放映计划列表', 'path': 'cinema/plays'}
        redis_key_api_play = f'{redis_key_prefix}_{request_api_play["path"]}'
        result_play, _format_play, play_data, _timestamp_play = get_data_from_redis(redis_key_api_play)
        play_id = '请手动输入参数，或先请求接口：3.2.3 获取放映计划列表'
        if result_play:
            play_id = play_data['id']
        add_param(self.return_data, 'play_id', play_id)

        # seat_id
        request_api_seat = {'name': '3.1.8 获取某场次座位状态', 'path': 'play/seat-status'}
        redis_key_api_seat = f'{redis_key_prefix}_{request_api_seat["path"]}'
        result_seat, _format_seat, seat_data, _timestamp_seat = get_data_from_redis(redis_key_api_seat)
        seat_id = '请手动输入参数，或先请求接口：3.2.6 获取场次座位状态'
        if result_seat:
            seat_id = ','.join([seat['cineSeatId'] for seat in seat_data])
        add_param(self.return_data, 'seat_id', seat_id)

        # lock_flag
        request_api_lock = {'name': '3.4.3 座位锁定', 'path': 'seat/lock'}
        redis_key_api_lock = f'{redis_key_prefix}_{request_api_lock["path"]}'
        result_lock, _format_lock, seat_price_from_lock, _timestamp_lock = get_data_from_redis(redis_key_api_lock)
        lock_flag = '请手动输入参数，或先请求接口：3.4.3 座位锁定'
        if result_lock:
            lock_flag = seat_price_from_lock['lockFlag']
        add_param(self.return_data, 'lock_flag', lock_flag)

        # 处理混合结果
        return max(_timestamp_play, _timestamp_seat, _timestamp_lock)
