from dspt_api.util.general.handle_redis import get_param_from_redis, get_timestamp_from_redis
from dspt_api.util.general.get_order_num import general_order_num
from dspt_api.util.general.handle_params import add_param
import time


class MapiTicketRefund:
    def __init__(self, **kwargs):
        self.member_type = kwargs.get('member_type')
        self.api = kwargs.get('api')
        self.ip = kwargs.get('ip')
        self.env = kwargs.get('env')
        self.cid = kwargs.get('cid')
        self.pid = kwargs.get('pid')
        self.sale_type = kwargs.get('sale_type')
        self.pay_type = kwargs.get('pay_type')
        self.user_data = {
            'ip': self.ip,
            'env': self.env,
            'member_type': self.member_type,
            'pid': self.pid,
            'cid': self.cid,
            'sale_type': self.sale_type,
            'pay_type': self.pay_type,
        }
        self.return_data = []

    def get_suggestion(self):
        print('get_suggestion', self.user_data, self.sale_type, self.pay_type)
        # partner_refund_ticket_id
        partner_refund_ticket_id = general_order_num('REF_T', self.api, self.member_type, self.ip, self.env, self.pid,
                                                     self.cid)
        add_param(self.return_data, 'partner_refund_ticket_id', partner_refund_ticket_id)

        # 获取其他参数
        redis_key_prefix = f'dspt_api_{self.ip}_{self.env}_{self.member_type}_{self.pid}_{self.cid}'
        # partner_buy_ticket_id
        # 影票
        request_api_lock_buy = {'name': '3.4.6 混合下单（影票、卖品）', 'path': 'seat/lock-buy'}
        redis_key_api_lock_buy = f'{redis_key_prefix}_{request_api_lock_buy["path"]}'
        timestamp_lock_buy = get_timestamp_from_redis(redis_key_api_lock_buy)
        param_lock_buy = get_param_from_redis(redis_key_api_lock_buy)
        # 卖品
        request_api_buy_goods = {'name': '3.4.7 单独下单（卖品）', 'path': 'order/buy-goods'}
        redis_key_api_buy_goods = f'{redis_key_prefix}_{request_api_buy_goods["path"]}'
        timestamp_buy_goods = get_timestamp_from_redis(redis_key_api_buy_goods)
        param_buy_goods = get_param_from_redis(redis_key_api_buy_goods)

        partner_buy_ticket_id = '请手动输入参数，或先请求接口3.4.6 混合下单（影票、卖品）或 3.4.7 单独下单（卖品）'
        if timestamp_lock_buy and timestamp_buy_goods:
            if int(timestamp_lock_buy) > int(timestamp_buy_goods):
                partner_buy_ticket_id = param_lock_buy['partner_buy_ticket_id']
            else:
                partner_buy_ticket_id = param_buy_goods['partner_buy_ticket_id']
        elif timestamp_lock_buy:
            partner_buy_ticket_id = param_lock_buy['partner_buy_ticket_id']
        elif timestamp_buy_goods:
            partner_buy_ticket_id = param_buy_goods['partner_buy_ticket_id']
        add_param(self.return_data, 'partner_buy_ticket_id', partner_buy_ticket_id)

        print(__name__, self.return_data)
        return self.return_data

    @staticmethod
    def get_timestamp():
        return int(time.time() * 1000)
