import pymysql
from pymysql.cursors import DictCursor


def get(cinema_data):
    db_config = {
        'host': cinema_data.ip,
        'user': cinema_data.db_user,
        'password': cinema_data.db_pwd,
        'database': 'cine',
        'connect_timeout': 5,
    }

    db_conn = pymysql.Connect(**db_config)
    db_cursor = db_conn.cursor(cursor=DictCursor)
    # cinema_info
    cinema_info_sql_str = 'SELECT * FROM cinema_info;'
    db_cursor.execute(cinema_info_sql_str)
    cinema_info_data = db_cursor.fetchone()
    # cinema_set
    cinema_set_sql_str = 'SELECT * FROM cinema_set;'
    db_cursor.execute(cinema_set_sql_str)
    cinema_set_data = db_cursor.fetchone()
    # cinema_hall_info
    cinema_hall_info_sql_str = 'SELECT * FROM cinema_hall_info;'
    db_cursor.execute(cinema_hall_info_sql_str)
    cinema_hall_info_data = db_cursor.fetchall()
    hall_num = len(cinema_hall_info_data)
    db_conn.close()
    mock_data = {'message': '操作成功',
                 'data': {
                     'cinemaChainName': cinema_info_data['cinema_chain_name'],
                     'manager': cinema_info_data['cinema_manager'],
                     'screens': hall_num,
                     'managerTel': cinema_info_data['cinema_telephone'],
                     'cinemaName': cinema_set_data['cinema_platform_name'],
                     'cinemaCode': cinema_set_data['cinema_num'],  # 适配字段
                     'cinemaLevel': cinema_info_data['cinema_level'],
                     'businessStatus': '12',  # 定义字段
                     'officialName': cinema_info_data['official_name'],
                     'fax': cinema_info_data['cinema_fax']
                 },
                 'code': '200',
                 'status': 'success'}
    return mock_data
