import pymysql
from pymysql.cursors import DictCursor


def get(cinema_data):
    db_config = {
        'host': cinema_data.ip,
        'user': cinema_data.db_user,
        'password': cinema_data.db_pwd,
        'database': 'cine',
        'connect_timeout': 5,
    }

    db_conn = pymysql.Connect(**db_config)
    db_cursor = db_conn.cursor(cursor=DictCursor)
    # cinema_set
    cinema_set_sql_str = 'SELECT * FROM cinema_set;'
    db_cursor.execute(cinema_set_sql_str)
    cinema_set_data = db_cursor.fetchone()
    # cinema_hall_info
    cinema_hall_info_sql_str = 'SELECT * FROM cinema_hall_info;'
    db_cursor.execute(cinema_hall_info_sql_str)
    cinema_hall_info_data = db_cursor.fetchall()
    db_conn.close()
    hall_list = []
    for hall in cinema_hall_info_data:
        hall_dict = {
            'isArt': False if hall['cinema_zz_hall_is_art'] == 0 else True,
            'hallType': hall['cinema_zz_hall_type'],
            'showType': hall['cinema_zz_hall_show_type'],
            'isRed': False if hall['cinema_zz_hall_is_red'] == 0 else True,
            'screenName': hall['cinema_hall_real_name'],
            'seatCount': int(hall['cinema_hall_seat_num']),
            'screenCode': hall['cinema_zz_hall_code']
        }
        hall_list.append(hall_dict)
    mock_data = {
        'message': '操作成功',
        'data':
            {
                'screenList': hall_list,
                'cinemaCode': cinema_set_data['cinema_num']
            },
        'code': '200',
        'status': 'success'
    }
    return mock_data
