import json
import datetime
from mock.models import ZZMockModel


def get_json():
    return {'message': '操作成功', 'data': [], 'code': '200', 'status': 'success'}


def get(cinema_data, request):
    error_code_config = ZZMockModel.objects.filter(ip=cinema_data.ip).first()
    error_code = error_code_config.errorCode
    print(request.POST)
    data = json.loads(request.POST['queries'])
    if error_code == '0':
        mock_data = {'message': '操作成功', 'data': [], 'code': '200', 'status': 'success'}
    else:
        data_list = []
        for ticket in data:
            date_time = datetime.datetime.strptime(ticket['sessionDatetime'], '%Y-%m-%d %H:%M:%S')
            date = datetime.datetime.strftime(date_time, '%Y-%m-%d')
            data_list.append(
                {
                    'businessDate': date,
                    'sendChannelCode': '96201703',
                    'ticketNo': ticket['ticketNo'],
                    'errorType': error_code
                }
            )
        mock_data = {'message': '操作成功', 'data': data_list, 'code': '200', 'status': 'success'}
    return mock_data
