from django.db import models


# Create your models here.

class ZZMockModel(models.Model):
    ip = models.CharField(verbose_name='影院ip', max_length=20, null=False, help_text='影院ip')
    reportTicket = models.BooleanField(verbose_name='票房数据上报接口', null=False, help_text='票房数据上报接口')
    reportFilmSchedule = models.BooleanField(verbose_name='排片数据上报接口', null=False, help_text='排片数据上报接口')
    uploadScreenSeatInfo = models.BooleanField(verbose_name='座位信息上报接口', null=False,
                                               help_text='座位信息上报接口')
    downloadFilmInfo = models.BooleanField(verbose_name='影片信息下载接口', null=False, help_text='影片信息下载接口')
    getCinemaInfo = models.BooleanField(verbose_name='影院信息下载接口', null=False, help_text='影院信息下载接口')
    getScreenInfo = models.BooleanField(verbose_name='影厅信息下载接口', null=False, help_text='影厅信息下载接口')
    getOvertimeTicketStatus = models.BooleanField(verbose_name='超时票务受理情况查询接口', null=False,
                                                  help_text='超时票务受理情况查询接口')
    validError = models.BooleanField(verbose_name='数据清洗错误查询接口', null=False, help_text='数据清洗错误查询接口')
    auditShowId = models.CharField(verbose_name='需要审核的过场场次编码', null=True, max_length=20,
                                   help_text='需要审核的过场场次编码')
    auditStatus = models.CharField(verbose_name='需要审核的过场场次状态', null=True, max_length=3,
                                   help_text='需要审核的过场场次状态')
    errorCode = models.CharField(verbose_name='清洗错误接口返回的错误状态', null=True, max_length=5,
                                 help_text='清洗错误接口返回的错误状态')

    def __str__(self):
        return self.ip

    class Meta:
        verbose_name = '专资接口模拟'
        verbose_name_plural = '专资接口模拟'
        db_table = 'zz_mock'
