"""
URL configuration for dingxin_toolbox_drf project.

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/4.2/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import path, include
from mock.views import *

urlpatterns = [
    path('report/reportTicket', report_ticket),
    path('report/reportFilmSchedule', report_film_schedule),
    path('report/uploadScreenSeatInfo', upload_screen_seat_info),
    path('report/downloadFilmInfo', download_film_info),
    path('data/getCinemaInfo', get_cinema_info),
    path('data/getScreenInfo', get_screen_info),
    path('data/downloadFilmInfo', download_film_info),
    path('query/validError', valid_error),
    path('data/getOvertimeTicketStatus', get_overtime_ticket_status),
    path('api/get_overtime_show', get_overtime_show),
    path('api/get_response_json', get_response),
    path('api/set_overtime_config', set_overtime_config),
    path('api/set_error_code_config', set_error_code_config),
    path('api/start_mock', enable_mock),
    path('api/end_mock', disable_mock)
]
