# Generated by Django 4.2.7 on 2024-01-07 01:00

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('update', '0003_alter_cinema_options_alter_cinema_client_ver_and_more'),
    ]

    operations = [
        migrations.CreateModel(
            name='CinemaUser',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('username', models.CharField(help_text='用户名', max_length=30, verbose_name='用户名')),
                ('is_delete', models.BooleanField(default=False, help_text='是否删除', verbose_name='是否删除')),
            ],
            options={
                'verbose_name': '影院使用人',
                'verbose_name_plural': '影院使用人',
                'db_table': 'update_cinema_user',
            },
        ),
        migrations.CreateModel(
            name='ClientRelease',
            fields=[
                ('update_time', models.DateTimeField(auto_now=True, help_text='最后更新时间', verbose_name='最后更新时间')),
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('origin_name', models.CharField(help_text='smb上的名称', max_length=500, verbose_name='原始名称')),
                ('ver_time', models.CharField(help_text='版本发布时间', max_length=100, verbose_name='版本发布时间')),
                ('upload_name', models.CharField(help_text='上传名称', max_length=200, verbose_name='上传名称')),
                ('is_delete', models.BooleanField(default=True, help_text='是否有效', verbose_name='是否有效')),
            ],
            options={
                'verbose_name': '鼎新客户端版本',
                'verbose_name_plural': '鼎新客户端版本',
                'db_table': 'update_client_release',
            },
        ),
        migrations.CreateModel(
            name='Release',
            fields=[
                ('update_time', models.DateTimeField(auto_now=True, help_text='最后更新时间', verbose_name='最后更新时间')),
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('version', models.CharField(help_text='鼎新版本', max_length=100, verbose_name='鼎新版本')),
                ('short_ver', models.CharField(help_text='短版本号', max_length=100, verbose_name='短版本号')),
                ('status', models.CharField(default='0', help_text='版本状态, 0-开发， 1-测试， 2上线', max_length=10, verbose_name='版本状态')),
            ],
            options={
                'verbose_name': '鼎新版本',
                'verbose_name_plural': '鼎新版本',
                'db_table': 'update_dingxin_release',
            },
        ),
        migrations.CreateModel(
            name='UpdateCommand',
            fields=[
                ('update_time', models.DateTimeField(auto_now=True, help_text='最后更新时间', verbose_name='最后更新时间')),
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('desc', models.CharField(help_text='命令作用描述', max_length=200, verbose_name='命令作用描述')),
                ('command', models.CharField(help_text='需执行的命令', max_length=2000, verbose_name='需执行的命令')),
                ('is_sys', models.BooleanField(default=False, help_text='系统命令，默认执行前台不展示', verbose_name='系统命令')),
                ('is_checked', models.BooleanField(default=False, help_text='前台页面默认是否勾选', verbose_name='默认勾选')),
                ('is_delete', models.BooleanField(default=True, help_text='是否有效', verbose_name='是否有效')),
            ],
            options={
                'verbose_name': '升级脚本',
                'verbose_name_plural': '升级脚本',
                'db_table': 'update_command',
            },
        ),
    ]
