"""
URL configuration for dingxin_toolbox_drf project.

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/4.2/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.urls import path, re_path, include
from update import views
from rest_framework.routers import DefaultRouter
from update.views import *

router = DefaultRouter()
router.register('cinema', views.CinemaViewSet, 'cinema')
router.register('user', views.CinemaUserViewSet, 'cinema_user')
router.register('update_alter', views.UpdateAlterViewSet, 'update_alter')

urlpatterns = [
    # path('cinema/search/', views.CinemaSearchAPIView.as_view()),
    path('', include(router.urls)),
    path('update_user/', update_user),
    path('get_git_version/', get_git_version),
    path('get_operation_cmd/', get_operation_cmd),
    path('update_cine/', update_cine),
    # re_path(r'^cinema/search/ip/(?P<ip>[0-9.]*?)/version/(?P<version>[\S]*?)/$', views.CinemaSearchAPIView.as_view())
    # 测试用的接口
    path('test/write_git_version_to_db/', write_git_version_to_db),
    # path('test/write_cine_sql/', write_cine_sql),
    # path('test/db_compare/', compare_db_structor),
    # path('test/get_cmd/', get_cmd),
    # path('test/setup_cmd/', setup_cmd),
    # path('test/teardown_cmd/', teardown_cmd),
    # path('test/get_client/', get_client),
    # path('test/update_cine/', update_cine)
]

# &version=(?P<version>[\S]*?)
